'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.sequelize
      .query('ALTER TABLE Gateways AUTO_INCREMENT = 3000;')
      .then(() => {
        return queryInterface.sequelize.query(
          'ALTER TABLE Services AUTO_INCREMENT = 700;'
        );
      })
      .then(() => {
        return queryInterface.sequelize.query(
          'ALTER TABLE Controllers AUTO_INCREMENT = 100;'
        );
      })
      .then(() => {
        return queryInterface.sequelize.query(
          'ALTER TABLE Clients AUTO_INCREMENT = 7000;'
        );
      });
  },

  down: (queryInterface, Sequelize) => {
    return Promise.resolve();
  }
};
