'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.createTable('ServiceGroups', {
        id: {
          allowNull: false,
          autoIncrement: true,
          primaryKey: true,
          type: Sequelize.INTEGER
        },
        name: {
          type: Sequelize.STRING(50)
        },
        is_deleted: {
          type: Sequelize.BOOLEAN,
          defaultValue: false 
        },
        is_deleted: {
          type: Sequelize.BOOLEAN,
          defaultValue: false 
        },
        createdAt: {
          allowNull: false,
          type: Sequelize.DATE
        },
        updatedAt: {
          allowNull: false,
          type: Sequelize.DATE
        },
        description:{
          type: Sequelize.TEXT,
          allowNull: true
        }
      })
    ])
  },

  down: (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.dropTable('ServiceGroups'),
    ]);
  }
};
