'use strict';
var common = require('./common'),
  _ = require('lodash'),
  Sequelize = require('sequelize');
var schema = {};
_.assign(schema, common, {
  policy_id: {
    type: Sequelize.INTEGER,
    allowNull: false
  },
  client_id: {
    type: Sequelize.INTEGER,
    allowNull: false
  },
  createdAt: {
    allowNull: false,
    type: Sequelize.DATE
  },
  updatedAt: {
    allowNull: false,
    type: Sequelize.DATE
  }
});

module.exports = {
  up: function(queryInterface, Sequelize) {
    return queryInterface.createTable('ClientSoftwarePolicies', schema);
  },
  down: function(queryInterface, Sequelize) {
    return queryInterface.dropTable('ClientSoftwarePolicies');
  }
};