'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    const SOFTWARE_INVENTORY_PORT = process.env.SOFTWARE_INVENTORY_PORT;
    const SOFTWARE_INVENTORY_IP = process.env.SOFTWARE_INVENTORY_IP;
  
    return Promise.all([
      queryInterface.sequelize.query(`
          INSERT INTO Services (Name, port, protocol, service_id, ipv4_address, type, dummy_port, mappedurl, is_persistent, proxy_enabled, createdAt, updatedAt) VALUES ('Software Inventory Server', ${SOFTWARE_INVENTORY_PORT}, 'tcp', 700, '${SOFTWARE_INVENTORY_IP}', 'HTTPS', 443, 'software-inventory.server', true, false, '2022-01-04 11:36:48', '2022-01-04 11:36:48')
      `)
    ]);
  },

  down: (queryInterface, Sequelize, done) => {
    return queryInterface.sequelize.query(`
      DELETE from Services where mappedurl = 'software-inventory.server'
    `)
  }
};