'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    const columnsToAdd = [];
      columnsToAdd.push(
        queryInterface.addColumn('Microsegments', 'name', {
        type: Sequelize.STRING,
        allowNull: false
        }),
        queryInterface.addColumn('Microsegments', 'description', {
          type: Sequelize.TEXT('long'),
          allowNull: true
        })
      );
    return Promise.all(columnsToAdd)
  },

  down: async (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.removeColumn('Microsegments','name'),
      queryInterface.removeColumn('Microsegments','description')
    ])
  }
};
