'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    const columnsToAdd = [];
      columnsToAdd.push(
        queryInterface.removeColumn('S2sDiscoveryData','destination_id'),
        queryInterface.changeColumn('MicrosegmentPivots', 'destination', {
          type: Sequelize.STRING,
          allowNull: false
        })
      );
    return Promise.all(columnsToAdd)
  },

  down: async (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.addColumn('S2sDiscoveryData', 'destination_id', {
        type: Sequelize.INTEGER,
        allowNull: false
      }),
      queryInterface.changeColumn('MicrosegmentPivots', 'destination', {
        type: Sequelize.INTEGER,
        allowNull: false
      })
    ])
  }
};