'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    const tableName = 'Idps';

    return queryInterface.describeTable(tableName).then(tableDefinition => {
      return queryInterface.addColumn(tableName, 'e_id', {
        allowNull: true,
        type: Sequelize.STRING,
      });
    });
  },
  down: queryInterface => {
    return queryInterface.removeColumn('Idps', 'e_id');
  }
};