'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    // Adding last_ldap_sync_end_time as 1990-01-04 01:01:01 to fetch all old users
    // for AD sync 
    return Promise.all([
      queryInterface.sequelize.query(`
        UPDATE Settings
        SET last_ldap_sync_end_time = '1990-01-04 01:01:01';
      `),
    ]);
  },

  async down (queryInterface, Sequelize) {
    return Promise.resolve();
  }
};
