'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  up: async (queryInterface, Sequelize) => {
    await queryInterface.addColumn('Services', 'is_gateway_less', {
      type: Sequelize.BOOLEAN,
      defaultValue: false,
      allowNull: false,
    });

    // Set the `is_gateway_less` value to 0 for all existing rows
    await queryInterface.sequelize.query("UPDATE Services SET is_gateway_less = false");
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.removeColumn('Services', 'is_gateway_less');
  }
};