'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    const tableName = 'Backups';

    return queryInterface.describeTable(tableName).then(tableDefinition => {
      return queryInterface.addColumn(tableName, 'versionInfo', {
        allowNull: false,
        type: Sequelize.STRING,
        defaultValue: 0.0,
      });
    });
  },

  async down (queryInterface, Sequelize) {
    return queryInterface.removeColumn('Backups', 'versionInfo');
  }
};
