'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `ALTER TABLE sdp.UserGroupsPivot ADD is_declarative TINYINT NOT NULL;`
    );
  },

  async down(queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `ALTER TABLE sdp.UserGroupsPivot DROP COLUMN is_declarative;`
    );
  }
};
