'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.addColumn('Licenses', 's2s_microseg_feature', {
      type: Sequelize.TINYINT,
      allowNull: true,
      defaultValue: false
    });
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.removeColumn('Licenses', 's2s_microseg_feature');
  }
};
