'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.addColumn('Gateways', 'security_protocol', {
      type: Sequelize.STRING(10),
      defaultValue: 'TLS',
      allowNull: false,
    });
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.removeColumn('Gateways', 'security_protocol');
  }
};
