'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.removeColumn('Settings', 'isDark');

    await queryInterface.addColumn('Users', 'is_dark', {
      type: Sequelize.TINYINT,
      defaultValue: false,
      allowNull: false,
    });
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.addColumn('Settings', 'isDark', {
      type: Sequelize.TINYINT,
      defaultValue: false,
      allowNull: false,
    });

    await queryInterface.removeColumn('Users', 'is_dark');
  }
};
