'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        INSERT INTO TemplatePermissions (id, temp_id, permission_id) VALUES
          -- Infrastructure Admin
          (1, 1, 1),
          (2, 1, 2),
          (3, 1, 3),
          (4, 1, 4),
          (5, 1, 5),
          (6, 1, 6),
          (7, 1, 7),
          (8, 1, 8),
          (9, 1, 9),
          (10, 1, 10),
          (11, 1, 11),
          (12, 1, 12),
          (13, 1, 13),
          (14, 1, 14),
          (15, 1, 15),
          (16, 1, 16),
          (17, 1, 17),
          (18, 1, 18),
          (19, 1, 19),
          (20, 1, 20),
          (21, 1, 21),
          (22, 1, 22),
        
          
          -- Admin
          (23, 2, 23),
          (24, 2, 24),
          (25, 2, 25),
          (26, 2, 26),
          (27, 2, 27),
          (28, 2, 28),
          (29, 2, 29),
          (30, 2, 30),
          (31, 2, 31),
          (32, 2, 32),
          (33, 2, 33),
          (34, 2, 34),
          (35, 2, 35),
          (36, 2, 36),
          (37, 2, 37),
          (38, 2, 38),
          (39, 2, 39),
          (40, 2, 40),
          (185, 2, 185),
          (41, 2, 41),
          (42, 2, 42),
          (43, 2, 43),
          (44, 2, 44),
          (45, 2, 45),
          (46, 2, 46),
          (47, 2, 47),
          (48, 2, 48),
          (49, 2, 49),
          (50, 2, 50),
          (51, 2, 51),
          (52, 2, 52),
          (53, 2, 53),
          (54, 2, 54),
          (55, 2, 55),
          (56, 2, 56),
          (57, 2, 57),
          (58, 2, 58),
          (59, 2, 59),
          (60, 2, 60),
          (61, 2, 61),
          (62, 2, 62),
          (63, 2, 63),
          (64, 2, 64),
          (65, 2, 65),
          (66, 2, 66),
          (67, 2, 67),
          (68, 2, 68),
          (69, 2, 69),
          (70, 2, 70),
        
          
          -- Team Manager
          (71, 3, 71),
          (72, 3, 72),
          (73, 3, 73),
          (74, 3, 74),
          (75, 3, 75),
          (76, 3, 76),
          (77, 3, 77),
          (78, 3, 78),
          (79, 3, 79),
          (80, 3, 80),
          (81, 3, 81),
          (82, 3, 82),
          (83, 3, 83),
          (84, 3, 84),
          (85, 3, 85),
          (86, 3, 86),
          (87, 3, 87),
          (88, 3, 88),
          (89, 3, 89),
          (90, 3, 90),
          (91, 3, 91),
          (92, 3, 92),
          (93, 3, 93),
          
          
        -- Policy Admin
          (94, 4, 94),
          (95, 4, 95),
          (96, 4, 96),
          (97, 4, 97),
          (98, 4, 98),
          (99, 4, 99),
          (100, 4, 100),
          (101, 4, 101),
          (102, 4, 102),
          (103, 4, 103),
          (104, 4, 104),
          (105, 4, 105),
          (106, 4, 106),
          (107, 4, 107),
          (108, 4, 108),
          (109, 4, 109),
          (110, 4, 110),
          (111, 4, 111),
          (112, 4, 112),
          (113, 4, 113),
          (114, 4, 114),
          (115, 4, 115),
          (116, 4, 116),
          
          
          -- Report Viewer
          (117, 5, 117),
          (118, 5, 118),
          (119, 5, 119),
          (120, 5, 120),
          (121, 5, 121),
          (122, 5, 122),
          (123, 5, 123),
          
          
          -- API User
          (124, 6, 124),
          (125, 6, 125),
          (126, 6, 126),
          (127, 6, 127),
          (128, 6, 128),
          (129, 6, 129),
          (130, 6, 130),
          (131, 6, 131),
          (132, 6, 132),
          (133, 6, 133),
          (134, 6, 134),
          (135, 6, 135),
          (136, 6, 136),
          (137, 6, 137),
          (138, 6, 138),
          (139, 6, 139),
          (140, 6, 140),
          (141, 6, 141),
          (142, 6, 142),
          (143, 6, 143),
          (144, 6, 144),
          (145, 6, 145),
          (146, 6, 146),
          (147, 6, 147),
          (148, 6, 148),
          (149, 6, 149),
          (150, 6, 150),
          (151, 6, 151),
          (152, 6, 152),
          (153, 6, 153),
          (154, 6, 154),
          (155, 6, 155),
          (156, 6, 156),
          (157, 6, 157),
          (158, 6, 158),
          (159, 6, 159),
          (160, 6, 160),
          (161, 6, 161),
          (162, 6, 162),
          (163, 6, 163),
          (164, 6, 164),
          (165, 6, 165),
          (166, 6, 166),
          (167, 6, 167),
          (168, 6, 168),
          (169, 6, 169),
          (170, 6, 170),
          (171, 6, 171),
          (172, 6, 172),
          (173, 6, 173),
          (174, 6, 174),
          (175, 6, 175),
          (176, 6, 176),
          (177, 6, 177),
          (178, 6, 178),
          (179, 6, 179),
          (180, 6, 180),
          (181, 6, 181),
          (182, 6, 182),
          (183, 6, 183),
          (184, 6, 184);
      `
    );
  },

  async down(queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        DELETE FROM TemplatePermissions
        WHERE id BETWEEN 1 AND 185
      `
    );
  }
};
