'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    // Fetch the first Admin
    const [firstUser] = await queryInterface.sequelize.query(
      'SELECT id FROM Users LIMIT 1',
    );

    const userId = firstUser[0].id;

    // Infrastructure Admin
    await queryInterface.bulkInsert('UserTemplates', [
      { id: 1, user_id: userId, temp_permission_id: 1 },
      { id: 2, user_id: userId, temp_permission_id: 2 },
      { id: 3, user_id: userId, temp_permission_id: 3 },
      { id: 4, user_id: userId, temp_permission_id: 4 },
      { id: 5, user_id: userId, temp_permission_id: 5 },
      { id: 6, user_id: userId, temp_permission_id: 6 },
      { id: 7, user_id: userId, temp_permission_id: 7 },
      { id: 8, user_id: userId, temp_permission_id: 8 },
      { id: 9, user_id: userId, temp_permission_id: 9 },
      { id: 10, user_id: userId, temp_permission_id: 10 },
      { id: 11, user_id: userId, temp_permission_id: 11 },
      { id: 12, user_id: userId, temp_permission_id: 12 },
      { id: 13, user_id: userId, temp_permission_id: 13 },
      { id: 14, user_id: userId, temp_permission_id: 14 },
      { id: 15, user_id: userId, temp_permission_id: 15 },
      { id: 16, user_id: userId, temp_permission_id: 16 },
      { id: 17, user_id: userId, temp_permission_id: 17 },
      { id: 18, user_id: userId, temp_permission_id: 18 },
      { id: 19, user_id: userId, temp_permission_id: 19 },
      { id: 20, user_id: userId, temp_permission_id: 20 },
      { id: 21, user_id: userId, temp_permission_id: 21 },
      { id: 22, user_id: userId, temp_permission_id: 22 },
    ]);
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        DELETE FROM UserTemplates
        WHERE id BETWEEN 1 AND 22
      `
    )
  }
};
