'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        DELETE FROM Permissions WHERE id = 70;
      `
    );
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        INSERT INTO Permissions (id, create_permission, read_permission, update_permission, delete_permission, privilege_id) VALUES
        (70, 0, 1, 0, 0, 60);
      `
    );
  }
};
