'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.addColumn('ClientSettings', 'gateway_session_interval', {
      type: Sequelize.INTEGER,
      defaultValue: 10, 
      allowNull: false,
    });
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.removeColumn('ClientSettings', 'gateway_session_interval');
  }
};
