'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.addColumn('DevicePolicies', 'compliance', {
      type: Sequelize.ENUM('Any', 'All'),
      allowNull: false
    });
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.removeColumn('DevicePolicies', 'compliance');
  }
};
