'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        UPDATE AlertLogs a
        SET a.is_viewed = 1
        where a.is_viewed = 0
      `
    )
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        UPDATE AlertLogs a
        SET a.is_viewed = 0
        where a.is_viewed = 1
      `
    )
  }
};
