'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.addColumn('Ldaps', 'directory_type', {
      type: Sequelize.STRING,
      allowNull: false,
      defaultValue: 'Active Directory'
    });
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.removeColumn('Ldaps', 'directory_type');
  }
};
