/**
 * Created by syedrazakhalid on 07/12/2016.
 */
'use strict';
var Sequelize = require('sequelize');
module.exports = {
  id: {
    allowNull: false,
    autoIncrement: true,
    primaryKey: true,
    type: Sequelize.INTEGER
  },
  createdById: {
    type: Sequelize.INTEGER,
    allowNull: true,
    references: {
      model: 'Users',
      key: 'id'
    },
    onUpdate: 'cascade',
    onDelete: 'restrict'
  },
  updatedById: {
    type: Sequelize.INTEGER,
    allowNull: true,
    references: {
      model: 'Users',
      key: 'id'
    },
    onUpdate: 'cascade',
    onDelete: 'restrict'
  }
};
