'use strict';
module.exports = function (sequelize, DataTypes) {

    const MicrosegmentPivots = sequelize.define('MicrosegmentPivots', {
        ports: {
            type: DataTypes.TEXT('long')
        },
        protocols: {
            type: DataTypes.TEXT('long')
        },
         microsegmentId: {
            type: DataTypes.INTEGER, 
            allowNull: false,
        }, 
        destination: {
            type: DataTypes.STRING, 
            allowNull: false, 
            
        },
    })

    MicrosegmentPivots.associate = function (models) {
        // Workloads.belongsTo(models., { foreignKey: 'controllerId' });
        // WorkloadDevicePivots.belongsToMany(models.Workloads, { foreignKey: 'workloadId' });
        MicrosegmentPivots.belongsTo(models.DeviceInventories, {
            foreignKey: 'destination',
            targetKey: "ip_address"
        });
    };

    return MicrosegmentPivots;
};
