'use strict';
module.exports = function(sequelize, DataTypes) {
  
    const WorkloadDevicePivots = sequelize.define('WorkloadDevicePivots', {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: DataTypes.INTEGER
      },
      workloadId: {
        type: DataTypes.INTEGER,
        allowNull: false,
        references: {
          model: 'Workloads',
          key: 'id'
        },
      },
      deviceId: {
        type: DataTypes.INTEGER,
        allowNull: false,
        references: {
          model: 'DeviceInventories',
          key: 'id'
        },
      },
      clientId: {
        type: DataTypes.INTEGER,
        references: {
          model: 'Clients',
          key: 'id'
        },
      }
    })
  
    WorkloadDevicePivots.associate = function(models) {
        // Workloads.belongsTo(models., { foreignKey: 'controllerId' });
      // WorkloadDevicePivots.belongsToMany(models.Workloads, { foreignKey: 'workloadId' });
    };
  
    return WorkloadDevicePivots;
};
