'use strict';
module.exports = (sequelize, DataTypes) => {
  const ActiveAddressSpaceConfig = sequelize.define(
    'ActiveAddressSpaceConfig',
    {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: DataTypes.INTEGER
      },
      active_class: {
        type: DataTypes.INTEGER
      },
      required_gateways: {
        type: DataTypes.INTEGER
      },
      supported_gateways: {
        type: DataTypes.INTEGER
      },
      dedicated_gateway_bits: {
        type: DataTypes.INTEGER
      },
      total_subnet_bits: {
        type: DataTypes.INTEGER
      },
      createdAt: {
        allowNull: false,
        type: DataTypes.DATE
      },
      updatedAt: {
        allowNull: false,
        type: DataTypes.DATE
      }
    },
    {}
  );
  ActiveAddressSpaceConfig.associate = function (models) {
    // associations can be defined here

  };
  return ActiveAddressSpaceConfig;
};
