'use strict';
module.exports = (sequelize, DataTypes) => {
  const AddressClass = sequelize.define(
    'AddressClasses',
    {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: DataTypes.INTEGER
      },
      class_name: {
        type: DataTypes.STRING
      },
      start_ip: {
        type: DataTypes.STRING
      },
      end_ip: {
        type: DataTypes.STRING
      },
      ip_count: {
        type: DataTypes.INTEGER
      },
      net_mask_bits: {
        type: DataTypes.INTEGER
      },
      createdAt: {
        allowNull: false,
        type: DataTypes.DATE
      },
      updatedAt: {
        allowNull: false,
        type: DataTypes.DATE
      }
    },
    {}
  );
  AddressClass.associate = function (models) {
    // associations can be defined here

  };
  return AddressClass;
};
