'use strict';
module.exports = function (sequelize, DataTypes) {

    const customUserGroupsDetail = sequelize.define('CustomUserGroupsDetail', {
        id: {
            allowNull: false,
            autoIncrement: true,
            primaryKey: true,
            type: DataTypes.INTEGER
        },
        group_id: {
            type: DataTypes.INTEGER,
            references: {
                model: 'CustomUserGroups',
                key: 'id',
            }
        },
        label_name: {
            type: DataTypes.STRING,
            allowNull: false
        },
        label_value: {
            type: DataTypes.STRING,
            allowNull: false
        },
        createdAt: {
            type: DataTypes.DATE,
            allowNull: false
        },
        updatedAt: {
            type: DataTypes.DATE,
            allowNull: false
        }
    }, {
        tableName: 'CustomUserGroupsDetail'
    })

    return customUserGroupsDetail;
};
