'use strict';
module.exports = function(sequelize, DataTypes) {
  var Idps = sequelize.define('Idp', {
    name: DataTypes.STRING,
    sp_id: {
      type: DataTypes.STRING,
      validate: {
        len: {
          args: [0, 255],
          msg: 'SP ID field cannot be greater than 255 chars'
        }
      }
    },
    assertion_url: DataTypes.STRING,
    e_id: DataTypes.STRING,
    is_active: DataTypes.BOOLEAN,
    createdAt: DataTypes.BOOLEAN,
    updatedAt: DataTypes.BOOLEAN
  });
  return Idps;
};
