const httpErrors = require('http-errors');
const _ = require('lodash');
const utils = require('../utils/common');

('use strict');
module.exports = (sequelize, DataTypes) => {
  const OsPolicies = sequelize.define(
    'OsPolicies',
    {
      os: DataTypes.STRING(20),
      os_version: DataTypes.STRING(20),
      is_blocked: DataTypes.BOOLEAN,
      is_enabled: DataTypes.BOOLEAN,
      os_display_name:{
        type:DataTypes.STRING,
        set(value) {
          this.setDataValue('os_display_name',utils.getOsDsipalyName(value));
        }
      }
    },
    {}
  );
  OsPolicies.associate = function(models) {
    // associations can be defined here
    
  };



  //Prototypes

  //Hooks

  return OsPolicies;
};
