'use strict';
module.exports = function(sequelize, DataTypes) {
  
    const userGroupRawQuery = sequelize.define('UserGroupRawQuery', {
        id: {
            allowNull: false,
            autoIncrement: true,
            primaryKey: true,
            type: DataTypes.INTEGER
        },
        query: {
            type: DataTypes.STRING,
            allowNull: false
        },
        createdAt: {
            type: DataTypes.DATE,
            allowNull: false
        },
        updatedAt: {
            type: DataTypes.DATE,
            allowNull: false
        }
    },{
        tableName: 'UserGroupRawQuery'
    })

    return userGroupRawQuery;
};