'use strict';
module.exports = function(sequelize, DataTypes) {
  const userGroupSQLQuery = sequelize.define(
    'UserGroupSQLQuery',
    {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: DataTypes.INTEGER
      },
      query: {
        type: DataTypes.STRING,
        allowNull: false
      },
      user_id_query: {
        type: DataTypes.STRING,
        allowNull: false
      },
      createdAt: {
        type: DataTypes.DATE,
        allowNull: false
      },
      updatedAt: {
        type: DataTypes.DATE,
        allowNull: false
      }
    },
    {
      tableName: 'UserGroupSQLQuery'
    }
  );

  return userGroupSQLQuery;
};
