var express = require('express');
var router = express.Router();
const verifyPermissions = require('../../middlewares/verifyPermissions');

const {
  getUserList,
  createNewSettings
} = require('../../dao/license');

/* GET users listing. */
router.get('/', getUserList);

/* CREATE new settings. */
router.post('/', verifyPermissions('License Management'), createNewSettings);

module.exports = router;
