const models = require('../../models/index');

module.exports = {
    insertIntoAdminLogs: ({ action, priority }, req) => {
        const { role, id, tempId } = req.user;
        if (tempId === 1 || tempId === 2 || tempId === 4 ) {
            return models.AdminAccessLogs.create({
                userId: id,
                action,
                priority,
                requestBody: req.body,
                requestParams: req.params,
                requestQueryParams: req.query
            })
        }
        else {
            return false;
        }
    }
}
