'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.bulkInsert(
      'Roles',
      [
        {
          title: 'Team-Manager',
          description: 'Team Manager',
          createdAt: '2018-04-17',
          updatedAt: '2018-04-17'
        },
        {
          title: 'Admin',
          description: 'Website Admin',
          createdAt: '2018-04-17 00:00:00.0',
          updatedAt: '2018-04-17 00:00:00.0'
        },
        {
          title: 'Policy-Admin',
          description: 'Policy Admin',
          createdAt: '2018-04-17',
          updatedAt: '2018-04-17'
        },
        {
          title: 'Report-Viewer',
          description: 'Report Viewer',
          createdAt: '2018-04-17 00:00:00.0',
          updatedAt: '2018-04-17 00:00:00.0'
        },
        {
          title: 'Public-Api',
          description: 'Public Api',
          createdAt: '2020-03-18',
          updatedAt: '2020-03-18'
        }
      ],
      {}
    );
  },

  down: (queryInterface, Sequelize) => {
    return queryInterface.bulkDelete('Roles', null, {});
  }
};
