'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.bulkInsert(
      'Users',
      [
        {
          firstName: 'Admin',
          lastName: 'User',
          email: 'admin@invisily.com',
          password:
            '$argon2i$v=19$m=4096,t=3,p=1$vSAz6RCmYNUgtVFVbKOxXw$4hbikbR1QFmrHuxtNrbq00JND9sJ1za91tbIc68Ajhk',
          is_active: 1,
          email_verified: 1,
          question_1_id: 1, 
          question_2_id: 2, 
          question_3_id: 3, 
          answer_1: 
            '$argon2i$v=19$m=4096,t=3,p=1$A8IlmP8QqaN5LknRkJeuRQ$nORu3W8UBV5sedRSQ8V4G8xyjww175rT5an9VaDAyVY',
          answer_2: 
            '$argon2i$v=19$m=4096,t=3,p=1$A8IlmP8QqaN5LknRkJeuRQ$nORu3W8UBV5sedRSQ8V4G8xyjww175rT5an9VaDAyVY',
          answer_3: 
            '$argon2i$v=19$m=4096,t=3,p=1$A8IlmP8QqaN5LknRkJeuRQ$nORu3W8UBV5sedRSQ8V4G8xyjww175rT5an9VaDAyVY'
        }
      ],
      {}
    );
  },

  down: (queryInterface, Sequelize) => {
    return queryInterface.bulkDelete('Users', null, {});
  }
};
