'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    /*
      Add altering commands here.
      Return a promise to correctly handle asynchronicity.

      Example:
      return queryInterface.bulkInsert('Person', [{
        name: 'John Doe',
        isBetaMember: false
      }], {});
    */
    return queryInterface.bulkInsert(
      'OS',
      [
        {
          name: 'Windows',
          installer: 'exe',
          createdAt: '2018-04-17',
          updatedAt: '2018-04-17'
        },
        {
          name: 'Ubuntu',
          installer: 'deb',
          createdAt: '2018-04-17',
          updatedAt: '2018-04-17'
        },
        {
          name: 'MacOS',
          installer: 'dmg',
          createdAt: '2018-04-17',
          updatedAt: '2018-04-17'
        }
      ],
      {}
    );
  },

  down: (queryInterface, Sequelize) => {
    /*
      Add reverting commands here.
      Return a promise to correctly handle asynchronicity.

      Example:
      return queryInterface.bulkDelete('Person', null, {});
    */
    return queryInterface.bulkDelete('OS', null, {});
  }
};
