const { body, param, query } = require('express-validator');

const createDestinationPort = () => {
    return [
      ...ports(body),
      ...microSegmentId(body),
      ...destination(body),
    ];
  };


const ports = check => [
  check('ports')
    .exists()
    .not()
    .isEmpty()
    .withMessage('port is required.')
];

const microSegmentId = check => [
    check('microSegmentId')
      .exists()
      .not()
      .isEmpty()
      .withMessage('microSegmentId is required.')
  ];

  const destination = check => [
    check('destination')
      .exists()
      .not()
      .isEmpty()
      .withMessage('destination is required.')
  ];

module.exports = {
  createDestinationPort
};
