import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { AccessPolicyComponent } from '../access-policy/access-policy.component'
import { TableModule } from '../table/table.module';
import { FormsModule } from '@angular/forms';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { NgSelectModule } from '@ng-select/ng-select';
import { AccessPolicyRoutingModule } from './access-policy-routing.module';

@NgModule({
  declarations: [AccessPolicyComponent],
  imports: [
    CommonModule,
    PopoverModule,
    TableModule,
    FormsModule,
    NgSelectModule,
    AccessPolicyRoutingModule
  ],
  exports: [AccessPolicyComponent]
})
export class AccessPolicyModule { }
