import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ApprovalModalComponent } from './approval-modal.component';
import { FormsModule } from '@angular/forms';
import {MatDialogModule} from '@angular/material/dialog';
import { MatTooltipModule } from '@angular/material/tooltip';
import { PopoverModule } from 'ngx-bootstrap/popover';

@NgModule({
  declarations: [ApprovalModalComponent],
  imports: [
    CommonModule,
    FormsModule,
    MatDialogModule,
    MatTooltipModule,
    PopoverModule
  ]
})
export class ApprovalModalModule { }
