import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { CreateAdditionalPermissionsRoutingModule } from './create-additional-permissions-routing.module';
import { CreateAdditionalPermissionsComponent } from './create-additional-permissions.component';
import { CreateAdditionalPermissionsService } from './create-additional-permissions.service';
import { BrowserModule } from '@angular/platform-browser';
import { NgSelectModule } from '@ng-select/ng-select';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { TableModule } from '../../table/table.module';
import { SharedModule } from '../../../app/shared/shared.module';
import { MatStepperModule } from '@angular/material/stepper';
import { MatButtonModule } from '@angular/material/button';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatChipsModule } from '@angular/material/chips';
import { MatInputModule } from '@angular/material/input';
import { MatTreeModule } from '@angular/material/tree';
import { MatIconModule } from '@angular/material/icon';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatListModule } from '@angular/material/list';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';

@NgModule({
  declarations: [CreateAdditionalPermissionsComponent],
  imports: [
    CommonModule,
    CreateAdditionalPermissionsRoutingModule,
    FormsModule,
    NgSelectModule,
    MatStepperModule,
    MatButtonModule,
    ReactiveFormsModule,
    MatFormFieldModule,
    MatChipsModule,
    MatInputModule,
    MatTreeModule,
    MatIconModule,
    MatCheckboxModule,
    MatListModule,
  ],
  providers: [CreateAdditionalPermissionsService],
  exports: [CreateAdditionalPermissionsComponent]
})
export class CreateAdditionalPermissionsModule {}
