import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { ViewAdditionalPermissionsRoutingModule } from './view-additional-permissions-routing.module';
import { ViewAdditionalPermissionsComponent } from './view-additional-permissions.component';
import { ViewAdditionalPermissionsService } from './view-additional-permissions.service';
import { FormsModule } from '@angular/forms';
import { BrowserModule } from '@angular/platform-browser';
import { NgSelectModule } from '@ng-select/ng-select';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { TableModule } from '../../table/table.module';
import { SharedModule } from '../../../app/shared/shared.module';

@NgModule({
  declarations: [ViewAdditionalPermissionsComponent],
  imports: [
    CommonModule,
    ViewAdditionalPermissionsRoutingModule,
    FormsModule,
    NgSelectModule,
    TableModule,
    PopoverModule,
    SharedModule
  ],
  providers: [ViewAdditionalPermissionsService],
  exports: [ViewAdditionalPermissionsComponent]
})
export class ViewAdditionalPermissionsModule {}
