import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { AlertListComponent } from './alert-list.component';
import { TableModule } from '../table/table.module';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { BsDatepickerModule } from 'ngx-bootstrap/datepicker';
import { AlertListRoutingModule } from './alert-list.module-routing';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { SharedModule } from '../shared/shared.module';

@NgModule({
  declarations: [AlertListComponent],
  imports: [
    CommonModule,
    TableModule,
    FormsModule,
    BsDatepickerModule,
    NgSelectModule,
    AlertListRoutingModule,
    PopoverModule,
    SharedModule
  ],
  exports: [AlertListComponent]
})
export class AlertListModule { }
