import { Injectable } from '@angular/core';

import * as Cookies from 'js-cookie';

@Injectable()
export class AuthShortlivedCookieService {
  setFor(seconds: number): any {
    var inFiveSeconds = new Date(new Date().getTime() + seconds * 1000);

    Cookies.set(
      'token',
      JSON.parse(localStorage.getItem('currentUser')).token,
      {
        expires: inFiveSeconds,
        path: '/'
      }
    );
  }
}
