import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ControllerListComponent } from './controller-list.component';
import { TableModule } from '../../table/table.module';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { ControllerListRoutingModule } from './controller-list-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { PasswordVerificationModule } from '../../password-verification/password-verification.module';
import { HealthStatusModule } from '../../health-status/health-status.module';
import { OtpVerificationModule } from '../../otp-verification/otp-verification.module';

@NgModule({
  declarations: [ControllerListComponent],
  imports: [
    CommonModule,
    TableModule,
    FormsModule,
    NgSelectModule,
    PasswordVerificationModule,
    ControllerListRoutingModule,
    HealthStatusModule,
    PopoverModule,
    OtpVerificationModule
  ],
  exports: [ControllerListComponent]
})
export class ControllerListModule { }
