import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateControllerComponent } from './create-controller.component';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { SpinnerModule } from '../../spinner/spinner.module';
import { CreateControllerRoutingModule } from './create-controller-routing.module';
import { WhitelistedHostsModule } from '../whitelisted-hosts/whitelisted-hosts.module';

@NgModule({
  declarations: [CreateControllerComponent],
  imports: [
    CommonModule,
    PopoverModule,
    NgSelectModule,
    FormsModule,
    SpinnerModule,
    WhitelistedHostsModule,
    CreateControllerRoutingModule
  ],
  exports: [CreateControllerComponent]
})
export class CreateControllerModule { }
