import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { WhitelistedHostsComponent } from './whitelisted-hosts.component';
import { TableModule } from '../../table/table.module';
import { SpinnerModule } from '../../spinner/spinner.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';

@NgModule({
  declarations: [WhitelistedHostsComponent],
  imports: [
    CommonModule,
    TableModule,
    PopoverModule,
    NgSelectModule,
    SpinnerModule,
    FormsModule,
  ],
  exports: [WhitelistedHostsComponent]
})
export class WhitelistedHostsModule { }
