import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateAccessPolicyComponent } from './create-access-policy.component';
import { SpinnerModule } from '../spinner/spinner.module';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { CreateAccessPolicyRoutingModule } from './create-access-policy-routing.module';
import { TimepickerModule } from 'ngx-bootstrap/timepicker';

@NgModule({
  declarations: [CreateAccessPolicyComponent],
  imports: [
    TimepickerModule.forRoot(),
    CommonModule,
    SpinnerModule,
    FormsModule,
    NgSelectModule,
    PopoverModule,
    CreateAccessPolicyRoutingModule
  ],
  exports: [CreateAccessPolicyComponent]
})
export class CreateAccessPolicyModule { }
