import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateDataVolumePolicyComponent } from './create-data-volume-policy.component';
import { SpinnerModule } from '../spinner/spinner.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { CreateDataVolumePolicyRoutingModule } from './create-data-volume-policy-routing.module';

@NgModule({
  declarations: [CreateDataVolumePolicyComponent],
  imports: [
    CommonModule,
    SpinnerModule,
    PopoverModule,
    NgSelectModule,
    FormsModule,
    CreateDataVolumePolicyRoutingModule
  ],
  exports: [CreateDataVolumePolicyComponent]
})
export class CreateDataVolumePolicyModule { }
