import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateOrganizationComponent } from './create-organization.component';
import { TableModule } from '../table/table.module';
import { FormsModule } from '@angular/forms';
import { CreateOrganizationRoutingModule } from './create-organization-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { NgSelectModule } from '@ng-select/ng-select';

@NgModule({
  declarations: [CreateOrganizationComponent],
  imports: [
    CommonModule,
    TableModule,
    FormsModule,
    PopoverModule,
    NgSelectModule,
    CreateOrganizationRoutingModule
  ],
  exports: [CreateOrganizationComponent]
})
export class CreateOrganizationModule { }
