import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { CreateRbiBridgeRoutingModule } from './create-rbi-bridge-routing.module';
import { SpinnerModule } from '../spinner/spinner.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { CreateRbiBridgeComponent } from './create-rbi-bridge.component';


@NgModule({
  declarations: [CreateRbiBridgeComponent],
  imports: [
    CommonModule,
    SpinnerModule,
    PopoverModule,
    FormsModule,
    NgSelectModule,
    CreateRbiBridgeRoutingModule
  ],
  exports: [CreateRbiBridgeComponent]
})
export class CreateRbiBridgeModule { }
