import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateSoftwareProcessBindingComponent } from './create-software-process-binding.component';
import { SpinnerModule } from '../spinner/spinner.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { CreateSoftwareProcessBindingRoutingModule } from './create-software-process-binding-routing.module';
import { MatTooltipModule } from '@angular/material/tooltip';

@NgModule({
  declarations: [CreateSoftwareProcessBindingComponent],
  imports: [
    CommonModule,
    SpinnerModule,
    NgSelectModule,
    FormsModule,
    PopoverModule,
    MatTooltipModule,
    CreateSoftwareProcessBindingRoutingModule
  ],
  exports: [CreateSoftwareProcessBindingComponent]
})
export class CreateSoftwareProcessBindingModule { }
