import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateSoftwareProcessPolicyComponent } from './create-software-process-policy.component';
import { SpinnerModule } from '../spinner/spinner.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { CreateSoftwareProcessPolicyRoutingModule } from './create-software-process-policy-routing.module';

@NgModule({
  declarations: [CreateSoftwareProcessPolicyComponent],
  imports: [
    CommonModule,
    SpinnerModule,
    NgSelectModule,
    FormsModule,
    PopoverModule,
    CreateSoftwareProcessPolicyRoutingModule
  ],
  exports: [CreateSoftwareProcessPolicyComponent]
})
export class CreateSoftwareProcessPolicyModule { }
