import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DataVolumePolicyComponent } from './data-volume-policy.component';
import { FormsModule } from '@angular/forms';
import { TableModule } from '../table/table.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { DataVolumePolicyRoutingModule } from './data-volume-policy-routing.module';
import { OtpVerificationModule } from '../otp-verification/otp-verification.module';

@NgModule({
  declarations: [DataVolumePolicyComponent],
  imports: [
    CommonModule,
    FormsModule,
    TableModule,
    NgSelectModule,
    PopoverModule,
    DataVolumePolicyRoutingModule,
    OtpVerificationModule
  ],
  exports: [DataVolumePolicyComponent]
})
export class DataVolumePolicyModule {}
