import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DeviceAccessPolicyComponent } from './device-access-policy.component';
import { TableModule } from '../table/table.module';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { DeviceAccessPolicyRoutingModule } from './device-access-policy-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { OtpVerificationModule } from '../otp-verification/otp-verification.module';

@NgModule({
  declarations: [DeviceAccessPolicyComponent],
  imports: [
    CommonModule,
    TableModule,
    FormsModule,
    NgSelectModule,
    PopoverModule,
    DeviceAccessPolicyRoutingModule,
    OtpVerificationModule

  ],
  exports: [DeviceAccessPolicyComponent]
})
export class DeviceAccessPolicyModule { }
