import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DeviceInventoryComponent } from './device-inventory.component';
import { TableModule } from '../table/table.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { PopoverModule } from 'ngx-bootstrap/popover';

@NgModule({
  declarations: [DeviceInventoryComponent],
  imports: [
    CommonModule,
    TableModule,
    NgSelectModule,
    FormsModule,
    PopoverModule
  ],
  exports: [DeviceInventoryComponent]
})
export class DeviceInventoryModule { }
