import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DevicePolicyComponent } from './device-policy.component';
import { TableModule } from '../table/table.module';
import { FormsModule } from '@angular/forms';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { NgSelectModule } from '@ng-select/ng-select';
import { DevicePolicyRoutingModule } from './device-policy-routing.module';
import { OtpVerificationModule } from '../otp-verification/otp-verification.module';
import { SharedModule } from '../shared/shared.module';

@NgModule({
  declarations: [DevicePolicyComponent],
  imports: [
    CommonModule,
    TableModule,
    FormsModule,
    PopoverModule,
    NgSelectModule,
    DevicePolicyRoutingModule,
    OtpVerificationModule,
    SharedModule
  ],
  exports: [DevicePolicyComponent]
})
export class DevicePolicyModule { }
