import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ForbiddenSoftwareListComponent } from './forbidden-software-list.component';
import { TableModule } from '../table/table.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { ForbiddenSoftwareListRoutingModule } from './forbidden-software-list-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';

@NgModule({
  declarations: [ForbiddenSoftwareListComponent],
  imports: [
    CommonModule,
    TableModule,
    NgSelectModule,
    FormsModule,
    PopoverModule,
    ForbiddenSoftwareListRoutingModule
  ],
  exports: [ForbiddenSoftwareListComponent]
})
export class ForbiddenSoftwareListModule { }
