import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ForgotComponent } from './forgot.component';
import { FormsModule } from '@angular/forms';
import { VersionModule } from '../version/version.module';
import { RouterModule } from '@angular/router';
import { ForgotPasswordRoutingModule } from './forgot-password-routing.module';
import { RecoverRoutingModule } from '../recover-password/recover-routing.module';

@NgModule({
  declarations: [ForgotComponent],
  imports: [
    CommonModule,
    FormsModule,
    VersionModule,
    RouterModule,
    ForgotPasswordRoutingModule,
    RecoverRoutingModule,
  ],
  exports: [ForgotComponent]
})
export class ForgotPasswordModule { }
