import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateQuickGroupComponent } from './create-quick-group.component';
import { SpinnerModule } from '../../spinner/spinner.module';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { PopoverModule } from 'ngx-bootstrap/popover';

@NgModule({
  declarations: [CreateQuickGroupComponent],
  imports: [
    CommonModule,
    SpinnerModule,
    NgSelectModule,
    FormsModule,
    PopoverModule
  ],
  exports: [CreateQuickGroupComponent]
})
export class CreateQuickGroupModule { }
