import { Injectable } from '@angular/core';
import { CanActivate, ActivatedRouteSnapshot, Router } from '@angular/router';

@Injectable()
export class FreshLogin implements CanActivate {
  token: string;

  constructor(private router: Router) {}

  canActivate(route: ActivatedRouteSnapshot) {
    let freshLogin = localStorage.getItem('freshLogin');

    if (freshLogin) {
      if (typeof freshLogin != 'undefined' || freshLogin != null) {
        freshLogin = atob(freshLogin);
        if (freshLogin == 'true') {
          this.router.navigate(['fresh-login']);
        }
      } else {
        return true;
      }
    }
  }
}
