import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { HealthStatusComponent } from './health-status.component';
import { ActivityIndicatorModule } from '../activity-indicator/activity-indicator.module';
import { FormsModule } from '@angular/forms';

@NgModule({
  declarations: [HealthStatusComponent],
  imports: [
    CommonModule,
    ActivityIndicatorModule,
    FormsModule
  ],
  exports: [HealthStatusComponent]
})
export class HealthStatusModule { }
