import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { LocalUserForgotPasswordComponent } from './local-user-forgot-password.component';
import { VersionModule } from '../version/version.module';
import { LocalUserForgotPasswordRoutingModule } from './local-user-forgot-password-routing.module';
import { FormsModule } from '@angular/forms';

@NgModule({
  declarations: [LocalUserForgotPasswordComponent],
  imports: [
    CommonModule,
    VersionModule,
    FormsModule,
    LocalUserForgotPasswordRoutingModule
  ],
  exports: [LocalUserForgotPasswordComponent]
})
export class LocalUserForgotPasswordModule { }
