import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ManageListComponent } from './manage-list.component';
import { TableModule } from '../../table/table.module';
import { FormsModule } from '@angular/forms';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { NgSelectModule } from '@ng-select/ng-select';
import { FilterCheckButtonModule } from '../../filter-check-button/filter-check-button.module';
import { ManageListRoutingModule } from './manage-list-routing.module';
import { PasswordVerificationModule } from '../../password-verification/password-verification.module';
import { CreateQuickServiceGroupModule } from './create-quick-service-group/create-quick-service-group.module';

@NgModule({
  declarations: [ManageListComponent],
  imports: [
    CommonModule,
    TableModule,
    FormsModule,
    PopoverModule,
    NgSelectModule,
    FilterCheckButtonModule,
    PasswordVerificationModule,
    ManageListRoutingModule,
    CreateQuickServiceGroupModule
  ],
  exports: [ManageListComponent]
})
export class ManageListModule { }
