import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ViewDetailsServiceComponent } from './view-detail-service.component';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { FormsModule } from '@angular/forms';
import { ViewDetailServiceRoutingModule } from './view-detail-service-routing.module';
import { TableModule } from '../../../table/table.module';

@NgModule({
  declarations: [ViewDetailsServiceComponent],
  imports: [
    CommonModule,
    PopoverModule,
    FormsModule,
    TableModule,
    ViewDetailServiceRoutingModule
  ],
  exports: [ViewDetailsServiceComponent]
})
export class ViewDeatilServiceModule { }
