export class Setting {
  id: number;
  smtp_service: string;
  smtp_user: string;
  smtp_password: string;
  smtp_from: string;
  package_link_expiry: number;
  session_expiry: number;
  purge_allowed: boolean;
  saas_allowed: boolean;
  isSettingsSet: boolean;
  auto_purge_days: number;
  last_purge_date: any;
  date_format: string;
  customUserTimeSettings: string;
  gapiKey: string;
  password_expiry_days: number;
  smtp_host: string;
  smtp_port: number;
  isFirstLogin: string;
  auto_update_state: boolean;
  core_auto_update: boolean;
  mfa_server: string;
  mfa_server_state: boolean;
  biometrics_state: boolean;
  otp_state: boolean;
  is_settings_changed: boolean;
  global_darkening: boolean;
  dirsync_enabled: boolean = false;
  dirsync_time: number;
  dirclean_time: number;
  admin_mfa: boolean;
  siem_host: any;
  siem_port: Number;
  siem_protocol: string;
  profiling_server_host: any;
  profiling_server_port: Number;
  profiling_server_protocol: string;
  profiling_enabled: boolean;
  max_clients_per_controller: Number;
  ldap: any;
  health_status: Number;
  data_reporting_interval: Number;
  load_stats: Number;
  in_activity_timeout: Number;
  mtls_frequency: Number;
  mtls_blocking_timeout: Number;
  health_interval: Number;
  load_stats_interval: Number;
  device_validation_freq: Number;
  process_reporting_interval: Number;
  data_monitoring_interval: Number;
  recaptcha_site_key: string;
  android_link: string;
  ios_link: string;
  user_time_type: Number;
  timezone: string = '';
  isDark : boolean = false;
  idle_session_timeout : Number;
  oauth_config: boolean = false;
  oauth_client_id: string = '';
  oauth_client_secret: string = '';
  oauth_tenant_id: string = '';
  oauth_refresh_token: string = '';
  oauth_from: string = '';
  is_device_profiler_enabled: boolean;
}
