import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { NavbarComponent } from './navbar.component';
import { VersionModule } from '../version/version.module';
import { OverlayscrollbarsModule } from 'overlayscrollbars-ngx';
import { NavBarRoutingModule } from './navbar-routing.module';
import { LicenseModule } from '../license/license.module';

@NgModule({
  declarations: [NavbarComponent],
  imports: [
    CommonModule,
    VersionModule,
    OverlayscrollbarsModule,
    NavBarRoutingModule,
    LicenseModule
  ],
  exports: [NavbarComponent]
})
export class NavbarModule { }
