import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TableModule } from '../table/table.module';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { OnboardingReportsComponent } from './onboarding-reports.component';
import { OnboardingReportsRoutingModule } from './onboarding-reports-routing.module';
import { SharedModule } from '../shared/shared.module';
import { PopoverModule } from 'ngx-bootstrap/popover';

@NgModule({
  declarations: [OnboardingReportsComponent],
  imports: [
    CommonModule,
    TableModule,
    FormsModule,
    NgSelectModule,
    OnboardingReportsRoutingModule,
    PopoverModule,
    SharedModule
  ],
  exports: [OnboardingReportsComponent]
})
export class OnboardingReportsModule { }
