import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { OtpVerificationComponent } from './otp-verification.component';
import { NoSpaceBarDirective } from './no-space-bar.directive';

@NgModule({
  declarations: [OtpVerificationComponent, NoSpaceBarDirective],
  imports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule
  ],
  exports: [OtpVerificationComponent,NoSpaceBarDirective]
})
export class OtpVerificationModule { }
