import { ChangeDetectorRef, Pipe, PipeTransform } from '@angular/core';
import { SettingsService } from '../settings/settings.service';

@Pipe({
  name: 'stringTruncateTransform',
  pure: true
})
export class StringTransformPipe implements PipeTransform {
  private userServices: any = null;
  private loading = false;

  constructor(
    private settingsService: SettingsService,
    private cdRef: ChangeDetectorRef
  ) {
    
  }

  transform(initialString: any ): string {
    if (initialString?.length >= 50) {
      initialString = initialString.substring(0,50) + '...'
    }
    return initialString;
  }
}