import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { PolicyComponent } from './policy.component';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { PolicyRoutingModule } from './policy-routing.module';
import { PaginationModule } from 'ngx-bootstrap/pagination';
import { TableModule } from '../table/table.module';
import { ActivityIndicatorModule } from '../activity-indicator/activity-indicator.module';

@NgModule({
  declarations: [PolicyComponent],
  imports: [
    CommonModule,
    PopoverModule,
    FormsModule,
    NgSelectModule,
    PaginationModule,
    TableModule,
    ActivityIndicatorModule,
    PolicyRoutingModule
  ],
  exports: [PolicyComponent]
})
export class PolicyModule { }
