import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ReportingsComponent } from './reportings.component';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { TableModule } from '../table/table.module';
import { BsDatepickerModule } from 'ngx-bootstrap/datepicker';
import { ActivityIndicatorModule } from '../activity-indicator/activity-indicator.module';
import { ReportingsRoutingModule } from './reportings-routing.module';
import { SharedModule } from '../shared/shared.module';

@NgModule({
  declarations: [ReportingsComponent],
  imports: [
    CommonModule,
    FormsModule,
    NgSelectModule,
    BsDatepickerModule,
    ActivityIndicatorModule,
    ReportingsRoutingModule,
    SharedModule,
    TableModule
  ],
  exports: [ReportingsComponent]
})
export class ReportingsModule { }
