import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { ViewRolesAndPermissionRoutingModule } from './view-roles-and-permission-routing.module';
import { ViewRolesAndPermissionComponent } from './view-roles-and-permission.component';
import { ViewRolesAndPermissionService } from './view-roles-and-permission.service';
import { FormsModule } from '@angular/forms';
import { BrowserModule } from '@angular/platform-browser';
import { NgSelectModule } from '@ng-select/ng-select';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { TableModule } from '../../table/table.module';

@NgModule({
  declarations: [ViewRolesAndPermissionComponent],
  imports: [
    CommonModule,
    ViewRolesAndPermissionRoutingModule,
    FormsModule,
    NgSelectModule,
    TableModule,
    PopoverModule
  ],
  providers: [ViewRolesAndPermissionService],
  exports: [ViewRolesAndPermissionComponent]
})
export class ViewRolesAndPermissionModule {}
