import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateRoutingPolicyComponent } from './create-routing-policy.component';
import { FormsModule } from '@angular/forms';
import { SpinnerModule } from '../../spinner/spinner.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { CreateRoutingPolicyRoutingModule } from './create-routing-policy-routing.module';

@NgModule({
  declarations: [CreateRoutingPolicyComponent],
  imports: [
    CommonModule,
    FormsModule,
    SpinnerModule,
    NgSelectModule,
    PopoverModule,
    CreateRoutingPolicyRoutingModule
  ],
  exports: [CreateRoutingPolicyComponent]
})
export class CreateRoutingPolicyModule { }
