import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { SecrityQuestionsComponent } from './security-questions.component';
import { SecrityQuestionsRoutingModule } from './security-questions-routing.module';
import { RouterModule } from '@angular/router';

@NgModule({
  declarations: [SecrityQuestionsComponent],
  imports: [
    CommonModule,
    NgSelectModule,
    FormsModule,
    RouterModule,
    SecrityQuestionsRoutingModule
  ],
  exports: [SecrityQuestionsComponent]  
})
export class SecrityQuestionsModule { }
