import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ServicesReportsComponent } from './services-reports.component';
import { FormsModule } from '@angular/forms';
import { TableModule } from '../table/table.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { ServicesReportsRoutingModule } from './services-reports-routing.module';
import { BsDatepickerModule } from 'ngx-bootstrap/datepicker';
import { PopoverModule } from 'ngx-bootstrap/popover';

@NgModule({
  declarations: [ServicesReportsComponent],
  imports: [
    CommonModule,
    FormsModule,
    TableModule,
    NgSelectModule,
    BsDatepickerModule,
    ServicesReportsRoutingModule,
    PopoverModule
  ],
  exports: [ServicesReportsComponent]
})
export class ServicesReportsModule { }
