import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SoftwarePolicyComponent } from './software-policy.component';
import { TableModule } from '../table/table.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { SoftwarePolicyRoutingModule } from './software-policy-routing.module';
import { OtpVerificationModule } from '../otp-verification/otp-verification.module';

@NgModule({
  declarations: [SoftwarePolicyComponent],
  imports: [
    CommonModule,
    TableModule,
    NgSelectModule,
    FormsModule,
    PopoverModule,
    SoftwarePolicyRoutingModule,
    OtpVerificationModule
  ],
  exports: [SoftwarePolicyComponent]
})
export class SoftwarePolicyModule { }
