import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SoftwareProcessBindingComponent } from './software-process-binding.component';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { TableModule } from '../table/table.module';
import { SoftwareProcessBindingRoutingModule } from './software-process-binding-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';

@NgModule({
  declarations: [SoftwareProcessBindingComponent],
  imports: [
    CommonModule,
    FormsModule,
    NgSelectModule,
    TableModule,
    PopoverModule,
    SoftwareProcessBindingRoutingModule
  ],
  exports: [SoftwareProcessBindingComponent]
})
export class SoftwareProcessBindingModule { }
