import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { GatewayHealthStatusComponent } from './gateway-health-status.component';
import { ActivityIndicatorModule } from '../../../activity-indicator/activity-indicator.module';

@NgModule({
  declarations: [GatewayHealthStatusComponent],
  imports: [
    CommonModule,
    ActivityIndicatorModule
  ],
  exports: [GatewayHealthStatusComponent]
})
export class GatewayHealthStatusModule { }
