import {
  Component,
  OnInit,
  Input,
  TemplateRef,
  Output,
  EventEmitter
} from '@angular/core';
import { Pagination } from '../models/pagination';

@Component({
  selector: 'app-table',
  templateUrl: './table.component.html',
  styleUrls: ['./table.component.css']
})
export class TableComponent implements OnInit {
  @Input('thead') thead: TemplateRef<any>;
  @Input('tbody') tbody: TemplateRef<any>;
  @Input('itemList') itemList: any;
  @Input('loading') loading: any;
  @Input('pagination') pagination: Pagination;
  @Input('columnCount') columnCount: number;
  @Output('pageChanged') pageChanged: EventEmitter<any> = new EventEmitter();

  constructor() {}

  ngOnInit() {}
}
