import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TrustedHostsComponent } from './trusted-hosts.component';
import { FormsModule } from '@angular/forms';
import { TableModule } from '../table/table.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { SpinnerModule } from '../spinner/spinner.module';
import { OtpVerificationModule } from '../otp-verification/otp-verification.module';

@NgModule({
  declarations: [TrustedHostsComponent],
  imports: [
    CommonModule,
    FormsModule,
    TableModule,
    SpinnerModule,
    PopoverModule,
    NgSelectModule,
    OtpVerificationModule
  ],
  exports: [TrustedHostsComponent]
})
export class TrustedHostsModule { }
