import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { UserAgentAccessPolicyComponent } from './user-agent-access-policy.component';
import { TableModule } from '../table/table.module';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { UserAgentAccessPolicyRoutingModule } from './user-agent-access-policy-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { OtpVerificationComponent } from '../otp-verification/otp-verification.component';
import { OtpVerificationModule } from '../otp-verification/otp-verification.module';

@NgModule({
  declarations: [UserAgentAccessPolicyComponent],
  imports: [
    CommonModule,
    TableModule,
    FormsModule,
    NgSelectModule,
    PopoverModule,
    UserAgentAccessPolicyRoutingModule,
    OtpVerificationModule
  ],
  exports: [UserAgentAccessPolicyComponent]
})
export class UserAgentAccessPolicyModule { }
