import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TableModule } from '../../table/table.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { NgSelectModule } from '@ng-select/ng-select';
import { MatOptionModule } from '@angular/material/core';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { UserGroupsEditComponent } from './user-groups-edit.component';
import { UserGroupsRoutingModule } from './user-groups-edit-routing.module';

@NgModule({
  declarations: [UserGroupsEditComponent],
  imports: [
    CommonModule,
    TableModule,
    PopoverModule,
    NgSelectModule,
    FormsModule,
    MatAutocompleteModule,
    MatOptionModule,
    ReactiveFormsModule,
    UserGroupsRoutingModule
  ],
  exports: [UserGroupsEditComponent]
})
export class UserGroupsEditModule {}
