import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { WorkloadDiscoveryComponent } from './workload-discovery.component';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { WorkloadDiscoveryRoutingModule } from './workload-discovery-routing.module';
import { MatDialog } from '@angular/material/dialog';
import { MatMenuModule } from '@angular/material/menu';
import { DragDropModule } from '@angular/cdk/drag-drop';
import { Clipboard, ClipboardModule } from '@angular/cdk/clipboard';
import { TableModule } from '../../table/table.module';
@NgModule({
  declarations: [WorkloadDiscoveryComponent],
  imports: [
    CommonModule,
    FormsModule,
    NgSelectModule,
    PopoverModule,
    MatMenuModule,
    DragDropModule,
    ClipboardModule,
    TableModule,
    NgSelectModule,
    WorkloadDiscoveryRoutingModule
  ],
  exports: [WorkloadDiscoveryComponent]
})
export class WorkloadDiscoveryModule {}
