'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.sequelize.query(
      `
  UPDATE
      \`GlobalIps\`
  SET
      \`GlobalIps\`.\`parentId\` = COALESCE(
          \`GlobalIps\`.\`parentId\`,
          IF(
              \`GlobalIps\`.\`clientId\` = 0,
              1,
              \`GlobalIps\`.\`clientId\`
          )
      ),
      \`GlobalIps\`.\`parentType\` = COALESCE(
          \`GlobalIps\`.\`parentType\`,
          IF(
              \`GlobalIps\`.\`clientId\` = 0,
              'Settings',
              'Client'
          )
      )
      `
    );
  },

  down: (queryInterface, Sequelize) => {
    return Promise.resolve();
  }
};
