'use strict';
var common = require('./common'),
  _ = require('lodash'),
  Sequelize = require('sequelize');
var schema = {};
_.assign(schema, common, {
  name: {
    type: Sequelize.STRING(50),
    allowNull: false
  },
  createdAt: {
    type: Sequelize.DATE
  },
  updatedAt: {
    type: Sequelize.DATE
  },
  department_count: {
    type: Sequelize.INTEGER
  }
});

module.exports = {
  up: function(queryInterface, Sequelize) {
    return queryInterface.createTable('Organizations', schema);
  },
  down: function(queryInterface, Sequelize) {
    return queryInterface.dropTable('Organizations');
  }
};