'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.sequelize.query(`
        ALTER TABLE DeviceInventories
          MODIFY device_id varchar(255);
      `),
      queryInterface.sequelize.query(`
        ALTER TABLE DeviceInventories
          DROP INDEX deviceSerialNumber;
      `),
      queryInterface.sequelize.query(`
        ALTER TABLE DeviceInventories
          DROP INDEX deviceTag;
      `),
    ]);
  },

  down: async (queryInterface, Sequelize) => {
    return Promise.resolve()
  }
};
