'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.sequelize.query(`
        UPDATE Clients c 
        INNER JOIN LocalUsers u ON c.user_id = u.id
        INNER JOIN DeviceInventories d ON c.device_id = d.id
        SET c.Name = CONCAT("{", u.name, "}@{", d.device_name, "}")
        WHERE c.Name NOT LIKE '%}@{%'
      `)
    ]);
  },

  down: async (queryInterface, Sequelize) => {
    return Promise.resolve()
  }
};
