module.exports = {
  up  : function (queryInterface, Sequelize, DataTypes) {
    return Promise.all([
      queryInterface
      .changeColumn('Gateways', 'buildOs', {
        type: Sequelize.ENUM('ubuntuserver18', 'ubuntuserver', 'ubuntu', 'windowsserver', 'ubuntuserver20armv8', 'centosserver'),
        allowNull: false
      }),
      queryInterface.sequelize.query(`
              UPDATE Gateways set buildOs = 'ubuntuserver18' where buildOs='ubuntuserver' or buildOs='ubuntu'
          `),
      queryInterface.sequelize.query(`
        DELETE  from Updates where buildOs = 'ubuntuserver' and buildComponent = 'gateway'
      `)
    ]);
  },
  down: function (queryInterface, Sequelize, DataTypes) {
    return Promise.all([
      queryInterface
      .changeColumn('Gateways', 'buildOs', {
        type: Sequelize.ENUM('ubuntuserver18', 'ubuntuserver', 'ubuntu', 'windowsserver', 'ubuntuserver20armv8', 'centosserver'),
        allowNull: false
      }),
      queryInterface.sequelize.query(`
              UPDATE Gateways set buildOs = 'ubuntuserver' where buildOs='ubuntuserver18'
          `)
    ]);
  }
};