'use strict';
const common = require('./common'),
  _ = require('lodash'),
  Sequelize = require('sequelize');
const schema = {};
_.assign(schema, common, {
    port: Sequelize.STRING(50),
    protocol: Sequelize.STRING(50),
    host: Sequelize.STRING(50),
    controllerId: Sequelize.INTEGER,
    createdAt: Sequelize.DATE,
    updatedAt: Sequelize.DATE
});

module.exports = {
  up: function(queryInterface, Sequelize) {
    return queryInterface.createTable('WhiteListedHosts', schema);
  },
  down: function(queryInterface, Sequelize) {
    return queryInterface.dropTable('WhiteListedHosts');
  }
};
