'use strict';
let Sequelize = require('sequelize');
let schema = {
  id: {
    allowNull: false,
    autoIncrement: true,
    primaryKey: true,
    type: Sequelize.INTEGER
  },
  client_id: {
    type: Sequelize.INTEGER
  },
  service_id: {
    type: Sequelize.INTEGER
  }
};

module.exports = {
  up: function(queryInterface, _Sequelize) {
    return Promise.all([
      queryInterface.createTable('BlockedServices', schema)
    ])
  },
  down: function(queryInterface, _Sequelize) {
    return Promise.all([
      queryInterface.dropTable('BlockedServices')
    ]);
  }
};