'use strict';
module.exports = {
  up: function(queryInterface, Sequelize) {
    return queryInterface.createTable('CountHistory', {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: Sequelize.INTEGER
      },
      users: {
        type: Sequelize.INTEGER
      },
      devices: {
        type: Sequelize.INTEGER
      },
      clients: {
        type: Sequelize.INTEGER
      },
      createdAt: Sequelize.DATE,
      updatedAt: Sequelize.DATE,

    });
  },
  down: function(queryInterface, Sequelize) {
    return queryInterface.dropTable('CountHistory');
  }
};
