'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    const columnsToAdd = [];
      columnsToAdd.push(
        queryInterface.addColumn('S2sDiscoveryData', 'destination_id', {
        type: Sequelize.INTEGER,
        allowNull: false
        })
      );
    return Promise.all(columnsToAdd)
  },

  down: async (queryInterface, Sequelize) => {
    return Promise.all([
      queryInterface.removeColumn('S2sDiscoveryData','destination_id')
    ])
  }
};
