'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    const tableName = 'Clients';

    return queryInterface.describeTable(tableName).then(tableDefinition => {
      return queryInterface.addColumn(tableName, 'onboarding_required', {
        allowNull: false,
        type: Sequelize.BOOLEAN,
        defaultValue: false
      });
    });
  },
  down: queryInterface => {
    return queryInterface.removeColumn('Clients', 'onboarding_required');
  }
};