'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    /**
     * Add altering commands here.
     *
     * Example:
     * await queryInterface.createTable('users', { id: Sequelize.INTEGER });
     */

    await queryInterface.sequelize.query(`
        INSERT INTO OsVersions (tagName, displayName, buildVersion, createdAt, updatedAt) VALUES
          ( 'windows10.0', 'Windows 10', '10.0.19045', NOW(), NOW() ),
          ( 'windows11.0', 'Windows 11', '10.0.22621', NOW(), NOW() ),  
          ( 'centosserver8', 'CentOS 8 Server', '8.5', NOW(), NOW() ), 
          ( 'macintosh12', 'macOS Monterey', '12.5.1', NOW(), NOW() ),   
          ( 'macintosh12', 'macOS Monterey', '12.6', NOW(), NOW() ),   
          ( 'macintosh12', 'macOS Monterey', '12.6.1', NOW(), NOW() ),   
          ( 'macintosh12', 'macOS Monterey', '12.6.2', NOW(), NOW() ),   
          ( 'macintosh12', 'macOS Monterey', '12.6.3', NOW(), NOW() ),   
          ( 'macintosh12', 'macOS Monterey', '12.6.4', NOW(), NOW() ),   
          ( 'macintosh13', 'macOS Ventura', '13.0.1', NOW(), NOW() ),
          ( 'macintosh13', 'macOS Ventura', '13.1', NOW(), NOW() ),
          ( 'macintosh13', 'macOS Ventura', '13.2', NOW(), NOW() ),
          ( 'macintosh13', 'macOS Ventura', '13.2.1', NOW(), NOW() ),
          ( 'macintosh13', 'macOS Ventura', '13.3', NOW(), NOW() ),
          ( 'android', 'Android', '12.0', NOW(), NOW() ),
          ( 'android', 'Android', '13.0', NOW(), NOW() ),
          ( 'ios', 'iOS', '15.0', NOW(), NOW() ),
          ( 'ios', 'iOS', '16.0', NOW(), NOW() )

        `)
  },

  async down (queryInterface, Sequelize) {
    /**
     * Add reverting commands here.
     *
     * Example:
     * await queryInterface.dropTable('users');
     */
  }
};
