'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {

    // Add a new column to the "BlockedServices" table
    await queryInterface.addColumn('BlockedServices', 'policy_id', {
      type: Sequelize.INTEGER,
      allowNull: false,
      references: {
        model: 'SoftwarePolicies',
        key: 'id'
      },
      onUpdate: 'CASCADE',
      onDelete: 'CASCADE'
    });
  },

  async down (queryInterface, Sequelize) {

  }
};
