'use strict';
/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.changeColumn('LocalUsers', 'userName', {
      type: Sequelize.STRING,
      unique: true
    });
    await queryInterface.changeColumn('LocalUsers', 'email', {
      type: Sequelize.STRING,
      unique: true
    });
  },
  async down (queryInterface, Sequelize) {
    await queryInterface.changeColumn('LocalUsers', 'userName', {
      type: Sequelize.STRING,
    });
    await queryInterface.changeColumn('LocalUsers', 'email', {
      type: Sequelize.STRING,
    });
  }
};
