'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    const tableName = 'Services';

    return queryInterface.describeTable(tableName).then(tableDefinition => {
      return queryInterface.addColumn(tableName, 'access_status', {
        allowNull: false,
        type: Sequelize.BOOLEAN,
        defaultValue: false,
      });
    });
  },

  async down (queryInterface, Sequelize) {
    return queryInterface.removeColumn('Services', 'access_status');
  }
};