'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.addColumn('Users', 'is_first_login', {
      type: Sequelize.TINYINT,
      allowNull: false,
      defaultValue: true
    });

    await queryInterface.addColumn('Users', 'is_question_changed', {
      type: Sequelize.TINYINT,
      allowNull: false,
      defaultValue: false
    });
  },

  async down(queryInterface, Sequelize) {
    await queryInterface.removeColumn('Users', 'is_first_login');
    await queryInterface.removeColumn('Users', 'is_question_changed');
  }
};
