'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      'ALTER TABLE sdp.LocalUsers ADD last_password_hash1 varchar(255) NULL;'
    );
    await queryInterface.sequelize.query(
      'ALTER TABLE sdp.LocalUsers ADD last_password_hash2 varchar(255) NULL;'
    );
  },

  async down(queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      'ALTER TABLE sdp.LocalUsers DROP COLUMN last_password_hash1;'
    );
    await queryInterface.sequelize.query(
      'ALTER TABLE sdp.LocalUsers DROP COLUMN last_password_hash2;'
    );
  }
};
