'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.addColumn('ServiceAccessLogs', 'session_id', {
      type: Sequelize.STRING,
      allowNull: true
    });

    await queryInterface.addColumn('ServiceAccessLogs', 'service_access_time', {
      type: Sequelize.INTEGER.UNSIGNED,
      allowNull: true
    });
  },

  async down(queryInterface, Sequelize) {
    await queryInterface.removeColumn('ServiceAccessLogs', 'session_id');
    await queryInterface.removeColumn('ServiceAccessLogs', 'service_access_time');
  }
};