'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    // Fetch the first Admin
    const [firstUser] = await queryInterface.sequelize.query(
      'SELECT id FROM Users LIMIT 1',
    );

    const userId = firstUser[0].id;

    // Infrastructure Admin
    await queryInterface.bulkInsert('UserTemplatePivot', [
      { id: 1, temp_id: 1, user_id: userId },
    ]);
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        DELETE FROM UserTemplatePivot
        WHERE id = 1
      `
    )
  }
};
