'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.addColumn('S2sDiscoveryData', 'microsegment_tag', {
      type: Sequelize.STRING(50),
      allowNull: true,
    });

    await queryInterface.addColumn('S2sManualRules', 'microsegment_tag', {
      type: Sequelize.STRING(50),
      allowNull: true,
    });
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.removeColumn('S2sDiscoveryData', 'microsegment_tag');
    await queryInterface.removeColumn('S2sManualRules', 'microsegment_tag');
  }
};
