'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        INSERT INTO TemplateApproval (id, is_approved, requestee_message, approver_message, user_id, approver_id, temp_id) VALUES
          (1, 1, null, null, null, null, 1),
          (2, 1, null, null, null, null, 2),
          (3, 1, null, null, null, null, 3),
          (4, 1, null, null, null, null, 4),
          (5, 1, null, null, null, null, 5),
          (6, 1, null, null, null, null, 6);
      `
    )
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      `
        DELETE FROM TemplateApproval
        WHERE id BETWEEN 1 AND 6
      `
    )
  }
};
