'use strict';
/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.sequelize.query(`
        INSERT INTO OsVersions (tagName, displayName, buildVersion, createdAt, updatedAt) VALUES
          ( 'macintosh14', 'macOS Sonoma', '14.1.2', NOW(), NOW() ),
          ( 'macintosh14', 'macOS Sonoma', '14.2', NOW(), NOW() ),
          ( 'macintosh14', 'macOS Sonoma', '14.2.1', NOW(), NOW() ),
          ( 'macintosh14', 'macOS Sonoma', '14.3', NOW(), NOW() )
        `)
  },
  async down (queryInterface, Sequelize) {
    
    await queryInterface.sequelize.query(`
      DELETE FROM OsVersions WHERE tagName = 'macintosh14' AND buildVersion IN ('14.1.2', '14.2', '14.2.1', '14.3')
  `);
   
  }
};