'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      'ALTER TABLE ClientSettings RENAME COLUMN gateway_session_interval TO idle_session_timeout'
    );
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.sequelize.query(
      'ALTER TABLE ClientSettings RENAME COLUMN idle_session_timeout TO gateway_session_interval'
    );
  }
};
