'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.addColumn('ClientSettings', 'is_device_profiler_enabled', {
      type: Sequelize.BOOLEAN,
      allowNull: false,
      defaultValue: false
    });
    await queryInterface.addColumn('Gateways', 'is_device_profiler_enabled', {
      type: Sequelize.BOOLEAN,
      allowNull: false,
      defaultValue: false
    });
  },
  
  async down (queryInterface, Sequelize) {
    await queryInterface.removeColumn('ClientSettings', 'is_device_profiler_enabled');
    await queryInterface.removeColumn('Gateways', 'is_device_profiler_enabled');
  }
};
