'use strict';

module.exports = {
  up: (queryInterface, Sequelize) => {
    return queryInterface.sequelize.transaction(async (transaction) => {
      await queryInterface.bulkInsert(
        'OsVersions',
        [
          {
            tagName: 'windows11.0',
            displayName: 'Windows 11',
            buildVersion: '10.0.22631',
            createdAt: new Date(),
            updatedAt: new Date()
          }
        ],
        { transaction }
      );
    });
  },

  down: (queryInterface, Sequelize) => {
    return queryInterface.bulkDelete('OsVersions', { buildVersion: '10.0.22631' });
  }
};