'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    try {

      const [defaultWorkload] = await queryInterface.sequelize.query(
        `SELECT id from Workloads w WHERE w.name = 'Default' ORDER BY id DESC LIMIT 1;`, 
      );

      await queryInterface.sequelize.query(
        `UPDATE S2sManualRules set workloadId = ${defaultWorkload[0].id}`,
      );

      await queryInterface.sequelize.query(
        `UPDATE  S2sDiscoveryData set workloadId  = ${defaultWorkload[0].id}`, 
      );

      await queryInterface.sequelize.query(
        `DELETE FROM Workloads WHERE id != ${defaultWorkload[0].id};`, 
      );
    } catch (error) {
      throw error;
    }
  },

  async down (queryInterface, Sequelize) {
  }
};
