'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up (queryInterface, Sequelize) {
    await queryInterface.addColumn('S2sDiscoveryData', 'source_workload_tag', {
      type: Sequelize.STRING(50),
      allowNull: true,
    });
    await queryInterface.addColumn('S2sManualRules', 'source_workload_tag', {
      type: Sequelize.STRING(50),
      allowNull: true,
    });

    await queryInterface.addColumn('S2sDiscoveryData', 'src_workload_id', {
      type: Sequelize.INTEGER,
      allowNull: false,
    });
    await queryInterface.addColumn('S2sManualRules', 'src_workload_id', {
      type: Sequelize.INTEGER,
      allowNull: false,
    });
  },

  async down (queryInterface, Sequelize) {
    await queryInterface.removeColumn('S2sDiscoveryData', 'source_workload_tag');
    await queryInterface.removeColumn('S2sManualRules', 'source_workload_tag');

    await queryInterface.removeColumn('S2sDiscoveryData', 'src_workload_id');
    await queryInterface.removeColumn('S2sManualRules', 'src_workload_id');
  }
};
