'use strict';
module.exports = (sequelize, DataTypes) => {
  const Backups = sequelize.define('Backups', {
    filePath: DataTypes.STRING,
    userId:DataTypes.INTEGER,
    versionInfo: DataTypes.STRING
  }, {});
  Backups.associate = function(models) {
    // associations can be defined here
    Backups.belongsTo(models.User, { foreignKey: 'userId' });
  };
  return Backups;
};