'use strict';
module.exports = (sequelize, DataTypes) => {
  const ClientSetting = sequelize.define('ClientSetting', {
    auto_update_state: DataTypes.BOOLEAN,
    mfa_server_state:DataTypes.BOOLEAN,
    otp_state:DataTypes.BOOLEAN,
    global_darkening:DataTypes.BOOLEAN,
    user_pass_validity_period: DataTypes.INTEGER,
    process_reporting_interval: DataTypes.INTEGER,
    android_link: DataTypes.STRING,
    ios_link: DataTypes.STRING,
    is_device_profiler_enabled: {
      type: DataTypes.BOOLEAN,
      allowNull: false,
      defaultValue : false
    },
    idle_session_timeout: DataTypes.INTEGER
      }, {});
  ClientSetting.associate = function(models) {
    // associations can be defined here
  };
  return ClientSetting;
};