'use strict';
module.exports = (sequelize, DataTypes) => {
  const PolicyTypeLookup = sequelize.define(
    'PolicyTypeLookup',
    {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: DataTypes.INTEGER
      },
      policy_type: {
        type: DataTypes.STRING
      },
      createdAt: {
        allowNull: false,
        type: DataTypes.DATE
      },
      updatedAt: {
        allowNull: false,
        type: DataTypes.DATE
      }
    },
    {}
  );
  PolicyTypeLookup.associate = function (models) {
    // associations can be defined here

  };
  return PolicyTypeLookup;
};
