'use strict';
module.exports = (sequelize, DataTypes) => {
  const ServerBridgeUserId = sequelize.define('ServerBridgeUserId', {
    serverBridgeId: DataTypes.INTEGER,
    user_id: DataTypes.INTEGER,
    client_id: DataTypes.INTEGER
  }, {});
  ServerBridgeUserId.associate = function(models) {
    ServerBridgeUserId.belongsTo(models.ServerBridge,{foreignKey:'serverBridgeId'});
    ServerBridgeUserId.belongsTo(models.LocalUsers, { foreignKey: 'user_id' });
  };
  return ServerBridgeUserId;
};