'use strict';
module.exports = (sequelize, DataTypes) => {
  const ServiceGroupPolicies = sequelize.define(
    'ServiceGroupPolicies',
    {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: DataTypes.INTEGER
      },
      policy_id: {
        type: DataTypes.INTEGER
      },
      policy_type_id: {
        type: DataTypes.INTEGER
      },
      service_group_id: {
        type: DataTypes.INTEGER
      },
      createdAt: {
        allowNull: false,
        type: DataTypes.DATE
      },
      updatedAt: {
        allowNull: false,
        type: DataTypes.DATE
      }
    },
    {}
  );
  ServiceGroupPolicies.associate = function (models) {
    // associations can be defined here

  };
  return ServiceGroupPolicies;
};
