'use strict';
module.exports = (sequelize, DataTypes) => {
  const UserPolicies = sequelize.define(
    'UserPolicies', // This should match the table name
    {
      id: {
        allowNull: false,
        autoIncrement: true,
        primaryKey: true,
        type: DataTypes.INTEGER
      },
      policy_id: {
        type: DataTypes.INTEGER,
        allowNull: true
      },
      user_id: {
        type: DataTypes.INTEGER,
        allowNull: true
      },
      createdAt: {
        allowNull: false,
        type: DataTypes.DATE
      },
      updatedAt: {
        allowNull: false,
        type: DataTypes.DATE
      },
      policy_type_id: {
        type: DataTypes.INTEGER,
        allowNull: true
      }
    }
  );
  
  UserPolicies.associate = function (models) {
    // associations can be defined here
  };

  return UserPolicies;
};
