var express = require('express');
var router = express.Router();
const { getLogs, exportCSV } = require('../../dao/adminAccessLog');
var verifyUser = require('../../middlewares/verifyUser');
const verifyPermissions = require('../../middlewares/verifyPermissions');

router.get('/', verifyPermissions('Admin'), getLogs);

router.get('/export-csv', verifyUser, exportCSV);

module.exports = router;
