var express = require('express');
var router = express.Router();
let language = require('./../common/language');
var models = require('../../models');

router.get('/:id', function(req, res, next) {
  models.ClientService.findAll({
    include: [{ model: models.Service }],
    where: {
      clientId: req.params['id']
    }
  }).then(function(data) {
    res.json(data);
  });
});

module.exports = router;
