var express = require('express');
var router = express.Router();

router.use(function(req, res, next) {
  res.header('Access-Control-Allow-Origin', '*');
  res.header(
    'Access-Control-Allow-Headers',
    'Origin, X-Requested-With, Content-Type, Accept, X-License-Days, X-License-Expiring-Today, X-License-Expiring-Tomorrow, X-License-Violation-Reason'
  );
  res.header(
    'Access-Control-Expose-Headers',
    'X-License-Days,X-Controller-Count, X-License-Expiring-Today, X-License-Expiring-Tomorrow, X-License-Violation-Reason'
  );
  next();
});

/* GET home page. */
router.get('/', function(req, res, next) {
  console.log('i am in web');
  res.render('index', { title: 'Express' });
});

module.exports = router;
