import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { AdditionalPermissionsDetailsComponent } from './additional-permissions-details.component';
import { AdditionalPermissionsDetailsRoutingModule } from './additional-permissions-details-routing.module';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MatButtonModule } from '@angular/material/button';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatChipsModule } from '@angular/material/chips';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatListModule } from '@angular/material/list';
import { MatStepperModule } from '@angular/material/stepper';
import { MatTreeModule } from '@angular/material/tree';
import { NgSelectModule } from '@ng-select/ng-select';


@NgModule({
  declarations: [AdditionalPermissionsDetailsComponent],
  imports: [
    CommonModule,
    AdditionalPermissionsDetailsRoutingModule,
    FormsModule,
    NgSelectModule,
    MatStepperModule,
    MatButtonModule,
    ReactiveFormsModule,
    MatFormFieldModule,
    MatChipsModule,
    MatInputModule,
    MatTreeModule,
    MatIconModule,
    MatCheckboxModule,
    MatListModule
  ],
  exports: [AdditionalPermissionsDetailsComponent]
})
export class AdditionalPermissionsDetailsModule { }
