import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateDeviceComponent } from './create-device.component';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { CreateDeviceRoutingModule } from './create-device-routing.module';
import { TableModule } from '../table/table.module';
import { OsTransformPipeModule } from '../shared/os-transform-pipe/os-transform-pipe.module';
import { ActivityIndicatorModule } from '../activity-indicator/activity-indicator.module';

@NgModule({
  declarations: [CreateDeviceComponent],
  imports: [
    CommonModule,
    FormsModule,
    NgSelectModule,
    PopoverModule,
    TableModule,
    CreateDeviceRoutingModule,
    OsTransformPipeModule,
    ActivityIndicatorModule
  ],
  exports: [CreateDeviceComponent]
})
export class CreateDeviceModule { }
