import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { MicrosegmentComponent } from './microsegment.component';
import { TableModule } from '../table/table.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { MicrosegmentRoutingModule } from './microsegment_routing.module';

@NgModule({
  declarations: [MicrosegmentComponent],
  imports: [
    CommonModule,
    TableModule,
    NgSelectModule,
    FormsModule,
    PopoverModule,
    MicrosegmentRoutingModule
  ],
  exports: [MicrosegmentComponent]
})
export class MicrosegmentModule { }
