import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateOsPolicyComponent } from './create-os-policy.component';
import { SpinnerModule } from '../spinner/spinner.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { CreateOsPolicyRoutingModule } from './create-os-policy-routing.module';

@NgModule({
  declarations: [CreateOsPolicyComponent],
  imports: [
    CommonModule,
    SpinnerModule,
    PopoverModule,
    NgSelectModule,
    FormsModule,
    CreateOsPolicyRoutingModule
  ],
  exports: [CreateOsPolicyComponent]
})
export class CreateOsPolicyModule { }
