import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreatePolicyComponent } from './create-policy.component';
import { FormsModule } from '@angular/forms';
import { TableModule } from '../table/table.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { FilterCheckButtonModule } from '../filter-check-button/filter-check-button.module';
import { SpinnerModule } from '../spinner/spinner.module';
import { CreatePolicyRoutingModule } from './create-policy-routing.module';

@NgModule({
  declarations: [CreatePolicyComponent],
  imports: [
    CommonModule,
    FormsModule,
    TableModule,
    NgSelectModule,
    FilterCheckButtonModule,
    SpinnerModule,
    CreatePolicyRoutingModule
  ],
  exports: [CreatePolicyComponent]
})
export class CreatePolicyModule { }
