import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateServerBridgeComponent } from './create-server-bridge.component';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { SpinnerModule } from '../spinner/spinner.module';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { CreateServerBridgeRoutingModule } from './create-server-bridge-routing.module';

@NgModule({
  declarations: [CreateServerBridgeComponent],
  imports: [
    CommonModule,
    PopoverModule,
    SpinnerModule,
    FormsModule,
    NgSelectModule,
    CreateServerBridgeRoutingModule
  ],
  exports: [CreateServerBridgeComponent]
})
export class CreateServerBridgeModule { }
