import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateSoftwarePolicyComponent } from './create-software-policy.component';
import { FormsModule } from '@angular/forms';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { NgSelectModule } from '@ng-select/ng-select';
import { SpinnerModule } from '../spinner/spinner.module';
import { CreateSoftwarePolicyRoutingModule } from './create-software-policy-routing.module';

@NgModule({
  declarations: [CreateSoftwarePolicyComponent],
  imports: [
    CommonModule,
    FormsModule,
    PopoverModule,
    NgSelectModule,
    SpinnerModule,
    CreateSoftwarePolicyRoutingModule
  ],
  exports: [CreateSoftwarePolicyComponent]
})
export class CreateSoftwarePolicyModule { }
