import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateSoftwareComponent } from './create-software.component';
import { FormsModule } from '@angular/forms';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { NgSelectModule } from '@ng-select/ng-select';
import { SpinnerModule } from '../spinner/spinner.module';
import { CreateSoftwareRoutingModule } from './create-software-routing.module';
import { TableModule } from '../table/table.module';

@NgModule({
  declarations: [CreateSoftwareComponent],
  imports: [
    CommonModule,
    FormsModule,
    PopoverModule,
    NgSelectModule,
    SpinnerModule,
    TableModule,
    CreateSoftwareRoutingModule
  ],
  exports: [CreateSoftwareComponent]
})
export class CreateSoftwareModule { }
