import { Component, OnInit, EventEmitter, Output, Input } from '@angular/core';

@Component({
  selector: 'app-delete-confirmation',
  templateUrl: './delete-confirmation.component.html',
  styleUrls: ['./delete-confirmation.component.css']
})
export class DeleteConfirmationComponent implements OnInit {
  @Output('delete') delete = new EventEmitter<any>();
  @Output('cancel') cancel = new EventEmitter<any>();
  @Input('type') type: string = '';
  @Input('name') name: string = '';

  constructor() { }

  ngOnInit() {
    this.cancel.subscribe((event) => {
    })
  }

}
