import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DevicesListComponent } from './devices-list.component';
import { TableModule } from '../table/table.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { DevicesListRoutingModule } from './devices-list-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { OtpVerificationModule } from '../otp-verification/otp-verification.module';

@NgModule({
  declarations: [DevicesListComponent],
  imports: [
    CommonModule,
    TableModule,
    NgSelectModule,
    FormsModule,
    PopoverModule,
    DevicesListRoutingModule,
    OtpVerificationModule
  ],
  exports: [DevicesListComponent]
})
export class DevicesListModule { }
