import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';

@Component({
  selector: 'app-filter-check-button',
  templateUrl: './filter-check-button.component.html',
  styleUrls: ['./filter-check-button.component.css']
})
export class FilterCheckButtonComponent implements OnInit {
  @Input() buttontext: String;
  @Input() status: Boolean;
  @Output() changeStatus = new EventEmitter<Boolean>();

  constructor() {}

  ngOnInit() {
  }

  click() {
    this.changeStatus.emit(!this.status);
  }
}
