import { Component } from '@angular/core';
import { AuthenticationService } from '../login/authentication.service';
@Component({
  selector: 'app-footer',
  templateUrl: './footer.component.html'
})
export class FooterComponent {
  title = 'e-Risk';
  showNavBar: boolean = false;
  constructor(private authenticationManager: AuthenticationService) {
    this.authenticationManager.showNavBarEmitter.subscribe(mode => {
      //var token = localStorage.getItem('id_token');
      if (mode !== null) {
        this.showNavBar = true;
      }
    });

    this.authenticationManager.showLogOutEmitter.subscribe(mode => {
      if (mode) {
        this.showNavBar = false;
      }
    });

    /*this.authenticationManager.showReportEmitter.subscribe((mode)=>{
        var token = localStorage.getItem('id_token');
        if (mode !== null || token ) {
          this.showReport = mode;
        }
      });*/
  }
}
