import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateGatwayGroupComponent } from './create-gatway-group.component';
import { TableModule } from '../../table/table.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { SpinnerModule } from '../../spinner/spinner.module';
import { CreateGatwayGroupRoutingModule } from './create-gatway-group-routing.module';

@NgModule({
  declarations: [CreateGatwayGroupComponent],
  imports: [
    CommonModule,
    TableModule,
    NgSelectModule,
    FormsModule,
    PopoverModule,
    SpinnerModule,
    CreateGatwayGroupRoutingModule
  ],
  exports: [CreateGatwayGroupComponent]
})
export class CreateGatwayGroupModule { }
