import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { GatewayGroupsComponent } from './gateway-groups.component';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { GatewayGroupsRoutingModule } from './gateway-groups-routing.module';
import { TableModule } from '../../table/table.module';
import { CreateGatewayRoutingModule } from '../../gateway/create-gateway/create-gateway-routing.module';
import { PaginationModule } from 'ngx-bootstrap/pagination';
import { ActivityIndicatorModule } from '../../activity-indicator/activity-indicator.module';

@NgModule({
  declarations: [GatewayGroupsComponent],
  imports: [
    CommonModule,
    PopoverModule,
    NgSelectModule,
    FormsModule,
    PaginationModule,
    ActivityIndicatorModule,
    GatewayGroupsRoutingModule,
    CreateGatewayRoutingModule,
    TableModule
  ],
  exports: [GatewayGroupsComponent]
})
export class GatewayGroupsModule { }
