import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateGatewayComponent } from './create-gateway.component';
import { SpinnerModule } from '../../spinner/spinner.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { CreateGatewayRoutingModule } from './create-gateway-routing.module';

@NgModule({
  declarations: [CreateGatewayComponent],
  imports: [
    CommonModule,
    SpinnerModule,
    PopoverModule,
    NgSelectModule,
    FormsModule,
    CreateGatewayRoutingModule
  ],
  exports: [CreateGatewayComponent]
})
export class CreateGatewayModule { }
