import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { GatewayDetailComponent } from './gateway-detail.component';
import { FormsModule } from '@angular/forms';
import { TableModule } from '../../table/table.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { GatewayDetailRoutingModule } from './gateway-detail-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { PasswordVerificationModule } from '../../password-verification/password-verification.module';
import { GatewayHealthStatusModule } from '../../src/app/gateway-health-status/gateway-health-status.module';
import { SharedModule } from '../../shared/shared.module';

@NgModule({
  declarations: [GatewayDetailComponent],
  imports: [
    CommonModule,
    FormsModule,
    TableModule,
    NgSelectModule,
    PasswordVerificationModule,
    GatewayDetailRoutingModule,
    GatewayHealthStatusModule,
    SharedModule,
    PopoverModule
  ],
  exports: [GatewayDetailComponent]
})
export class GatewayDetailModule { }
