import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateQuickGatewayGroupComponent } from './create-quick-gateway-group.component';
import { SpinnerModule } from '../../../spinner/spinner.module';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';

@NgModule({
  declarations: [CreateQuickGatewayGroupComponent],
  imports: [
    CommonModule,
    SpinnerModule,
    FormsModule,
    NgSelectModule
  ],
  exports: [CreateQuickGatewayGroupComponent]
})
export class CreateQuickGatewayGroupModule { }
