import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { GatewayListComponent } from './gateway-list.component';
import { FormsModule } from '@angular/forms';
import { TableModule } from '../../table/table.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { GatewayListRoutingModule } from './gateway-list-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { PasswordVerificationModule } from '../../password-verification/password-verification.module';
import { GatewayHealthStatusModule } from '../../src/app/gateway-health-status/gateway-health-status.module';
import { OtpVerificationModule } from '../../otp-verification/otp-verification.module';
import { CreateQuickGatewayGroupModule } from './create-quick-gateway-group/create-quick-gateway-group.module';

@NgModule({
  declarations: [GatewayListComponent],
  imports: [
    CommonModule,
    FormsModule,
    TableModule,
    NgSelectModule,
    PasswordVerificationModule,
    GatewayListRoutingModule,
    GatewayHealthStatusModule,
    PopoverModule,
    OtpVerificationModule,
    CreateQuickGatewayGroupModule
  ],
  exports: [GatewayListComponent]
})
export class GatewayListModule { }
