import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateGroupComponent } from './create-group.component';
import { TableModule } from '../../table/table.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { SpinnerModule } from '../../spinner/spinner.module';
import { CreateGroupRoutingModule } from './create-group-routing.module';
import { TrustedHostsModule } from '../../trusted-hosts/trusted-hosts.module';
import { PopoverModule } from 'ngx-bootstrap/popover';

@NgModule({
  declarations: [CreateGroupComponent],
  imports: [
    CommonModule,
    TableModule,
    NgSelectModule,
    FormsModule,
    SpinnerModule,
    TrustedHostsModule,
    PopoverModule,
    CreateGroupRoutingModule
  ],
  exports: [CreateGroupComponent]
})
export class CreateGroupModule { }
