import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { GroupListComponent } from './group-list.component';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { GroupListRoutingModule } from './group-list-routing.module';
import { TableModule } from '../../table/table.module';
import { PaginationModule } from 'ngx-bootstrap/pagination';
import { ActivityIndicatorModule } from '../../activity-indicator/activity-indicator.module';

@NgModule({
  declarations: [GroupListComponent],
  imports: [
    CommonModule,
    PopoverModule,
    NgSelectModule,
    FormsModule,
    TableModule,
    PaginationModule,
    ActivityIndicatorModule,
    GroupListRoutingModule
  ],
  exports: [GroupListComponent]
})
export class GroupListModule { }
