import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { IotComponent } from './iot.component';
import { TableModule } from '../table/table.module';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { IotRoutingModule } from './iot-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { PasswordVerificationModule } from '../password-verification/password-verification.module';

@NgModule({
  declarations: [IotComponent],
  imports: [
    CommonModule,
    TableModule,
    FormsModule,
    NgSelectModule,
    PasswordVerificationModule,
    IotRoutingModule,
    PopoverModule
  ],
  exports: [IotComponent]
})
export class IotModule { }
