import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreatLdapuserComponent } from './creat-ldapuser.component';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { FormsModule } from '@angular/forms';
import { SpinnerModule } from '../../spinner/spinner.module';
import { LdapUrlValidator } from '../../validators/ldap-url.validator.directive';
import { CreateLdapuserRoutingModule } from './create-ldapuser-routing.module';
import { NgSelectModule } from '@ng-select/ng-select';

@NgModule({
  declarations: [CreatLdapuserComponent, LdapUrlValidator],
  imports: [
    CommonModule,
    PopoverModule,
    FormsModule,
    SpinnerModule,
    NgSelectModule,
    CreateLdapuserRoutingModule
  ],
  exports: [CreatLdapuserComponent]
})
export class CreateLdapuserModule { }
