import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { LicenseComponent } from './license.component';
import { ActivityIndicatorModule } from '../activity-indicator/activity-indicator.module';
import { LicenseRoutingModule } from './license-routing.module';
import { FormsModule } from '@angular/forms';
import { TableModule } from '../table/table.module';

@NgModule({
  declarations: [LicenseComponent],
  imports: [
    CommonModule,
    ActivityIndicatorModule,
    FormsModule,
    TableModule,
    LicenseRoutingModule
  ],
  exports: [LicenseComponent]
})
export class LicenseModule { }
