import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateQuickServiceGroupComponent } from './create-quick-service-group.component';
import { SpinnerModule } from '../../../spinner/spinner.module';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';

@NgModule({
  declarations: [CreateQuickServiceGroupComponent],
  imports: [
    CommonModule,
    SpinnerModule,
    FormsModule,
    NgSelectModule
  ],
  exports: [CreateQuickServiceGroupComponent]
})
export class CreateQuickServiceGroupModule { }
