import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { TableModule } from '../table/table.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { MicrosegmentationComponent } from './microsegmentation.component';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { MicrosegmentationRoutingModule } from './microsegmentation-routing.module';

@NgModule({
  declarations: [MicrosegmentationComponent],
  imports: [
    CommonModule,
    FormsModule,
    TableModule,
    NgSelectModule,
    PopoverModule,
    MicrosegmentationRoutingModule
  ],
  exports: [MicrosegmentationComponent]
})
export class MicrosegmentationModule { }
