import { DeviceOSEnum } from '../shared/emuns/client.enum';

export class Controller {
  id: number;
  Name: string;
  email: string;
  controller_id: number;
  ipv4_address: string;
  protocol: string;
  port: number;
  is_active: boolean;
  enc_key: string;
  HMacKey: string;
  gateways: any;
  device_os: string = DeviceOSEnum.UbuntuServer18;
  device_hardware_id: string;
  public_ipv4_address: string;
  public_ipv4_port: number;
  spa_port: number;
  is_online: boolean;
  installer_status: string;
  onPrenDownloadLink: string;
  isDownloadPackage: boolean;
  packageDownloaded: boolean;
  ControllerHealth: any;
  onboarding_url: string;
  onboarding_port: string;
  mfa_server_port: string;
  Role:any
}
