export class Pagination {
  constructor(
    public id: string = 'server',
    public itemsPerPage: number = 10,
    public currentPage: number = 1,
    public totalItems: number = 0
  ) {}

  get lastPage() {
    return Math.ceil(this.totalItems / this.itemsPerPage);
  }
}
