import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { OrganizationListViewComponent } from './organization-list-view.component';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { TableModule } from '../table/table.module';
import { OrganizationListViewRoutingModule } from './organization-list-view-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';

@NgModule({
  declarations: [OrganizationListViewComponent],
  imports: [
    CommonModule,
    FormsModule,
    NgSelectModule,
    TableModule,
    PopoverModule,
    OrganizationListViewRoutingModule
  ],
  exports: [OrganizationListViewComponent]
})
export class OrganizationListViewModule { }
