import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { OsPolicyComponent } from './os-policy.component';
import { TableModule } from '../table/table.module';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { OsPolicyRoutingModule } from './os-policy-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { OtpVerificationModule } from '../otp-verification/otp-verification.module';

@NgModule({
  declarations: [OsPolicyComponent],
  imports: [
    CommonModule,
    TableModule,
    FormsModule,
    NgSelectModule,
    PopoverModule,
    OsPolicyRoutingModule,
    OtpVerificationModule
  ],
  exports: [OsPolicyComponent]
})
export class OsPolicyModule { }
