import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ServiceGroupDetailComponent } from './service-group-detail.component';
import { FormsModule } from '@angular/forms';
import { TableModule } from '../../table/table.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { ServiceGroupDetailRoutingModule } from './service-group-detail-routing.module';
import { DeleteConfirmationModule } from '../../delete-confirmation/delete-confirmation.module';

@NgModule({
  declarations: [ServiceGroupDetailComponent],
  imports: [
    CommonModule,
    FormsModule,
    TableModule,
    NgSelectModule,
    DeleteConfirmationModule,
    ServiceGroupDetailRoutingModule
  ],
  exports: [ServiceGroupDetailComponent]
})
export class ServiceGroupDetailModule { }
