import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RoutingPolicyComponent } from './routing-policy.component';
import { TableModule } from '../table/table.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { RoutingPolicyRoutingModule } from './routing-policy-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { OtpVerificationModule } from '../otp-verification/otp-verification.module';

@NgModule({
  declarations: [RoutingPolicyComponent],
  imports: [
    CommonModule,
    TableModule,
    NgSelectModule,
    FormsModule,
    PopoverModule,
    RoutingPolicyRoutingModule,
    OtpVerificationModule
  ],
  exports: [RoutingPolicyComponent]
})
export class RoutingPolicyModule { }
