import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateSaasBridgeComponent } from './create-saas-bridge.component';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { CreateSaasBridgeRoutingModule } from './create-saas-bridge-routing.module';
import { SpinnerModule } from '../../spinner/spinner.module';

@NgModule({
  declarations: [CreateSaasBridgeComponent],
  imports: [
    CommonModule,
    PopoverModule,
    FormsModule,
    SpinnerModule,
    NgSelectModule,
    CreateSaasBridgeRoutingModule
  ],
  exports: [CreateSaasBridgeComponent]
})
export class CreateSaasBridgeModule { }
