import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SaasBridgeComponent } from './saas-bridge.component';
import { TableModule } from '../table/table.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { FormsModule } from '@angular/forms';
import { SaasBridgeRoutingModule } from './saas-bridge-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { PasswordVerificationModule } from '../password-verification/password-verification.module';

@NgModule({
  declarations: [SaasBridgeComponent],
  imports: [
    CommonModule,
    TableModule,
    NgSelectModule,
    FormsModule,
    PasswordVerificationModule,
    SaasBridgeRoutingModule,
    PopoverModule
  ],
  exports: [SaasBridgeComponent]  
})
export class SaasBridgeModule { }
