export enum ClientAccessStatusEnum {
    FailedLogin = 0,
    ForcefullyClosed = 1,
    GracefullyClosed = 2,
    Running = 3,
    Failed = 4
}

export enum ClientStatusEnum {
    New = 1,
    Waiting = 2,
    Registered = 3,
    Provisioned = 4
}

export enum ClientTypeEnum {
    LDAP = 'LDAPClient',
    Client = 'Client',
    Server = 'Server'
}

export enum DeviceOSEnum {
    IOS = 'ios',
    Android = 'android',
    MacOS = 'macos',
    Linux = 'linux',
    Windows = 'windows',
    Macintosh = 'macintosh',
    CentosServer = 'centosserver',
    CentosServer7 = 'centosserver7',
    CentosServer8 = 'centosserver8',
    Ubuntu = 'ubuntu',
    Ubuntu18 = 'ubuntu18',
    UbuntuServer = 'ubuntuserver',
    UbuntuServer18 = 'ubuntuserver18',
    UbuntuServer20armv8 = 'ubuntuserver20armv8',
    WindowsServer = 'windowsserver',
    Unknown = 'unknown',
    Windows6_1 = 'windows6.1',
    Windows6_2 = 'windows6.2',
    Windows6_3 = 'windows6.3',
    Windows10 = 'windows10.0',
    Windows11 = 'windows11.0',
    WindowsServer6_1 = 'windowsserver6.1',
    WindowsServer6_2 = 'windowsserver6.2',
    WindowsServer6_3 = 'windowsserver6.3',
    WindowsServer10 = 'windowsserver10.0',
    Macintosh10_14 = 'macintosh10.14',
    Macintosh10_15 = 'macintosh10.15',
    Macintosh11 = 'macintosh11',
    Macintosh12 = 'macintosh12',
    Macintosh13 = 'macintosh13',
    Macintosh14 = 'macintosh14'
}

export enum DeviceTypeEnum {
    ThinBridgeClient = 'Thin Client (Bridge Client)',
    PhysicalServer = 'Physical Server',
    IoTBridgeClient = 'IoT Bridge Client',
    Desktop = 'Desktop',
    Laptop = 'Laptop',
    VirtualDesktop = 'Virtual Desktop',
    VirtualServer = 'Virtual Server',
    ARMPlatform = 'ARM Platform',
    Smartphone = 'Smartphone',
    Tablet = 'Tablet',
    ServerBridgeClient = 'Server Bridge Client',
    VirtualClient = 'Virtual Client',
    IoT = 'IoT',
    iOS = 'iOS',
    ThinClient = 'Thin Client',
    ServerBridge = 'server-bridge',
    IOT = 'IOT'
}