import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ModalComponent } from './modal/modal.component';
import { ConfirmModalComponent } from './confirm-modal.component';
import { FormsModule } from '@angular/forms';
import { MatDialogModule } from '@angular/material/dialog';
import { DateTransformPipe } from '../pipes/date.pipe';
import { StringTransformPipe } from '../pipes/string.pipe';

@NgModule({
  declarations: [ModalComponent, ConfirmModalComponent, DateTransformPipe, StringTransformPipe],
  imports: [CommonModule, FormsModule, MatDialogModule],
  exports: [ModalComponent, ConfirmModalComponent, DateTransformPipe, StringTransformPipe]
})
export class SharedModule {}
