import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TableComponent } from './table.component';
import { NewPaginationModule } from '../pagination/pagination.module';
import { OverlayscrollbarsModule } from 'overlayscrollbars-ngx';
import { ActivityIndicatorModule } from '../activity-indicator/activity-indicator.module';
import { FormsModule } from '@angular/forms';
import { NgxPaginationModule } from 'ngx-pagination';

@NgModule({
  declarations: [TableComponent],
  imports: [
    CommonModule,
    FormsModule,
    OverlayscrollbarsModule,
    NewPaginationModule,
    ActivityIndicatorModule,
    NgxPaginationModule
  ],
  exports: [TableComponent, NgxPaginationModule]
})
export class TableModule { }
