import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreateUpdateComponent } from './create-update.component';
import { SpinnerModule } from '../../spinner/spinner.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { CreateUpdateRoutingModule } from './create-update-routing.module';

@NgModule({
  declarations: [CreateUpdateComponent],
  imports: [
    CommonModule,
    SpinnerModule,
    PopoverModule,
    FormsModule,
    NgSelectModule,
    CreateUpdateRoutingModule
  ],
  exports: [CreateUpdateComponent]
})
export class CreateUpdateModule { }
