import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { UpdatesListComponent } from './updates-list.component';
import { FormsModule } from '@angular/forms';
import { TableModule } from '../../table/table.module';
import { NgSelectModule } from '@ng-select/ng-select';
import { UpdatesListRoutingModule } from './updates-list-routing.module';
import { PopoverModule } from 'ngx-bootstrap/popover';

@NgModule({
  declarations: [UpdatesListComponent],
  imports: [
    CommonModule,
    FormsModule,
    TableModule,
    NgSelectModule,
    PopoverModule,
    UpdatesListRoutingModule
  ],
  exports: [UpdatesListComponent]
})
export class UpdatesListModule { }
