import { Injectable } from '@angular/core';
import {
  Resolve,
  ActivatedRouteSnapshot,
  RouterStateSnapshot
} from '@angular/router';
import { UserService } from '../users/user.service';
import { Role } from '../models/role';

@Injectable()
export class RolesResolve implements Resolve<any> {
  constructor(private userService: UserService) {}

  resolve(route: ActivatedRouteSnapshot): any {
    let roles = this.userService.getroles();
    return roles;
  }
}
