import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ValidDomainsComponent } from './valid-domains.component';
import { TableModule } from '../table/table.module';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { OtpVerificationModule } from '../otp-verification/otp-verification.module';

@NgModule({
  declarations: [ValidDomainsComponent],
  imports: [
    CommonModule,
    TableModule,
    FormsModule,
    PopoverModule,
    NgSelectModule,
    OtpVerificationModule
  ],
  exports: [ValidDomainsComponent]
})
export class ValidDomainsModule { }
