import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { CreateWorkloadDevicesRoutingModule } from './create-workload-devices-routing.module';
import { CreateWorkloadDevicesComponent } from './create-workload-devices.component';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { TableModule } from '../../table/table.module';
import { ActivityIndicatorModule } from '../../activity-indicator/activity-indicator.module';
import { OsTransformPipeModule } from '../../shared/os-transform-pipe/os-transform-pipe.module';


@NgModule({
  declarations: [
    CreateWorkloadDevicesComponent
  ],
  imports: [
    CommonModule,
    CommonModule,
    FormsModule,
    NgSelectModule,
    PopoverModule,
    TableModule,
    OsTransformPipeModule,
    ActivityIndicatorModule,
    CreateWorkloadDevicesRoutingModule
  ],
  exports: [CreateWorkloadDevicesComponent]
})
export class CreateWorkloadDevicesModule { }
