import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { WorkloadListComponent } from './workload-list.component';
import { TableModule } from '../../table/table.module';
import { PopoverModule } from 'ngx-bootstrap/popover';
import { FormsModule } from '@angular/forms';
import { NgSelectModule } from '@ng-select/ng-select';
import { WorkloadListRoutingModule } from './workload-list-routing.module';

@NgModule({
  declarations: [WorkloadListComponent],
  imports: [
    CommonModule,
    PopoverModule,
    FormsModule,
    NgSelectModule,
    WorkloadListRoutingModule,
    TableModule
  ],
  exports: [WorkloadListComponent]
})
export class WorkloadListModule { }
